Issuu on Google+

ISSUE 05 | JANUARY- MARCH 2013

rESPONDING TO GOD'S CALL p. 09 tRUTH IN TRIALS p. 30 how to get and stay motivated p. 08 HOW FAR WILL GOD GO TO GET YOUR ATTENTION? p. 24 Yes, God Can Use That Too… p. 20 50 THINGS YOU ALREADY KNOW YOU SHOULD DO p. 12


ABOUT THE COMPASS EXECUTIVE EDITOR Mark Shetler EDITOR Jennifer Raynes EXECUTIVE DESIGN Jessica Ripley CONTRIBUTORS Rolando Cordova, Jane Daly, Dan DeMuri, Dan DeShong, Dawn Jeske, Sarah King, Jennie Nagy, Matt Newton, Mark Pennington, Jennifer Raynes, Bill Romanelli, Mark Shetler, Ana Smith, PC Walker PHOTOGRAPHY* Susan Sparks, Sandy Runner *The August 2012 issue should have credited Susan and Sandy as photographers.

THE COMPASS IS A PUBLICATION OF First Covenant Church of Sacramento 10933 Progress Court Rancho Cordova, CA 95670 916.861.2240 • www.firstcov.org

CONTENTS

FEATURED 03 • What Now Lord? 04 • Nine Months 08 • How to Get & Stay Motivated 09 • Responding to God's Call 12 • 50 Things You Already Know 16 • This Story is Brought to You by the Letter 'B' 19 • Quitters Never Prosper 20 • Shaped for Her Call 24 • How Far Will God Go to Get Your Attention? 25 • My Funniest Moment in Church 28 • I'll Get it Right 30 • Truth in Trials 34 • In the Game 38 • No Giraffes? INFORMATION 06 • Upcoming Events 26 • Winter Equipping Classes 36 • Ministry Contacts 39 • Global Outreach Partners COLUMNS 05 • MTS: Suzanne Pennington 11 • MTS: Danny Langan 16 • MAV: Marilyn Finkbeiner 17 • Beyond the Guitar 18 • Faith Cubed 25 • Lost in Translation 35 • MAE: Brian Krenzin

2

COMPASS MAGAZINE

COMPASS Magazine is First Cov's quarterly publication. In a church our size, it can be an overwhelming task to meet everyone and know everything that is happening. The COMPASS will serve as a platform to bring our church family closer together. Within its pages, you will find true stories about the people and ministries of First Cov. And, most importantly, it will help guide you farther along the Path to becoming a fully-devoted follower of Jesus Christ.

WORSHIP

WITH US

What Now, Lord?

BY Rolando cordova

“You intended to harm me, but God intended it for good to accomplish

From Pastor Jesse I’m so glad you’ve picked up this issue of the COMPASS magazine. In the following pages you will encounter stories of real people in our church who are trying to live out their faith in the best way they know how. You’ll also find great information about various ministries offered here at First Cov, as well as news about some incredible upcoming events. When we considered a theme for this issue we thought it might be appropriate to address topics such as New Year-‘s resolutions, setting goals, and leaving the past behind. But as we thought through it, we realized that so often we look ahead without really finishing the task that we already started. We decided that this issue would deal with finishing instead of beginning. JESSE SMITH SENIOR PASTOR We often start a home improvement project but leave it incomplete. We start a diet but rarely make a change in our ongoing eating habits. We join a gym, determined to work out regularly but find ourselves hitting the snooze button more often than putting on our workout clothes. We do the same thing in our relationship with God. We get inspired by a speaker or a worship service and we promise ourselves that we’re going to read through the Bible in a year. Next thing we know it’s July and we realize that we got stalled somewhere in Leviticus and gave up without really even thinking about it. Or we face a difficult situation and promise God that if He intervenes with a miracle that we’re going to live differently. God meets our need, the crisis passes, but we develop short term memory loss and go back to living life as we always have. But let’s be honest: an improved character, significant growth, and true success doesn’t really happen by just starting something. It happens when we learn to follow through, to finish what we started. My prayer is that this issue of the COMPASS will encourage you to move into the new year, not adding a bunch of new stuff to your “to do” list, but giving you the determination to finish some good stuff you already started.

what is now being done, the saving SUNDAYS • 8:30 A.M. The familiar sounds of First Cov, from the best of the cherished songs of our faith to the most loved worship songs of today.

SUNDAYS • 10 & 11:30 A.M. An intentional approach to inspire honoring and engaging worship that is fresh and relevant in our culture today.

We love kids and teenagers! We have a full schedule of classes on Sunday mornings, from nursery to high school.

of many lives.” Genesis 50:20, NIV There was a stretch of about four years in my life when I was given to asking “Why, Lord?” at every turn—blaming every negative thing in my life on Him. Every hardship resulted in anger at God, especially when others seemed to be doing so well without even believing in Him. This sort of thinking eventually resulted in my walking away from our heavenly Father. I became a modern day prodigal. I was convinced I didn’t need God to watch over me because He had done a lousy job so far. Had I understood the Biblical concept of perseverance and what it really means to endure as a Christian in the midst of hard times, I would’ve saved myself the painful consequences of a downward spiral into drugs and alcohol, and all manner of earthly pleasures. Had I understood what it really meant to place complete faith in God, I would have never asked “Why, Lord?”

about His apparent abandonment of us. The reality is that this attitude reflects a false belief about who God is and what His will and purpose is for us. In 1 John 1:5, we are reminded that “God is light; in him there is no darkness at all.” When things start to go bad, we need to remember that God is not out to get us. So instead of asking, “Why, Lord” like I did when hard times came around, we should ask “What now, Lord?” Not in the context of what could possibly go wrong next, but instead, asking God to give us insight into what our next steps should be to persevere so that we can see His purposes carried out. As we can see from the life of Joseph, even though his brothers meant harm against him, God used the intensity of those circumstances to accomplish His purposes. It was because he endured so much that Joseph was put in a place where he could save an entire nation from famine. No matter what happens, we need to remember what God revealed in Isaiah 46:10, “My purpose will stand, and I will do all that I please.” In the end, He is in control and He will give us the strength to persevere through anything.

When not spending time in Growth Group, Wednesday night Men’s Bible Study or tormenting Andy Gee with deep theological questions during Operation Timothy, Rolando Cordova can often be found hanging out with his daughters or in the Word prayerfully asking God to reveal His Truth one verse at a time. A member of First Cov for a year and a half, Rolando has a passion for God’s Truth without compromise and believes strongly in the call to all believers found in Jude 1:3 which is “to contend for the faith.” In his spare time, Rolando enjoys hitting the gym or pondering ideas for new screenplays or short stories. He is also working on his first novel, an adventure story set in 19th century Egypt. edda1280@yahoo.com

Scripture has a lot to teach us about perseverance. It’s a theme that is repeated over and over again in the lives of the men and women whom God called into His service. The life of Joseph is one of those examples. In Genesis 37, we learn about how Joseph is cruelly sold into slavery by his own brothers because of their blinding jealousy. He then suffers all manner of trials and hard times from the unwanted advances of his master’s wife, to being thrown into prison after being falsely accused. Yet even after being sold into slavery and imprisoned, Joseph remained ever faithful and trusting in God. He pressed on, even in the direst of circumstances, when most anyone else would have angrily demanded an answer from God as to why it was all happening. When we find ourselves enduring hard times, it is much easier to question God

If you are new to our church, I want to say, “Welcome!” The COMPASS can help you learn more about our church and ways you can get plugged into this imperfect but loving community we call First Cov. I hope you’ll join us on this journey of becoming fully devoted followers of Christ.

WRITE TO THE COMPASS

Do you have a comment about this issue, a question about one of our columns, or a story idea for a future issue? Email us at compass@firstcov.org. WWW.FIRSTCOV.ORG

3


By Sarah King

I

t had been nearly an entire year since I had been to church. I had successfully and intentionally isolated myself from all of my Christian community. I was living with a man I was not married to, who was usually my pimp and sometimes my boyfriend—depending on our financial need. My life was a mess. Untold damage was done to my soul, my heart, my mind, and my body as a result of my sin.

In January 2009, a significant event in my life snapped me back into reality. I suddenly realized how serious it was to sin against a holy God. I quickly repented and turned back to Jesus in desperation. The day I left my pimp, I moved in with a Christian family. When I arrived at my new home, my heart whispered, I'm free! Five days later, I learned I was pregnant. When I felt God telling me not to keep my baby for myself, but to give him to someone else, I wept. I had to accept the fact that I was not at a place in life where I could raise a child. But I chose to obey. How could I not obey? Choosing disobedience to God is synonymous with choosing death. I would not choose a life of death again. While those nine months of unplanned pregnancy were incredibly challenging, I look back on them with thankfulness, because they were the start of something new. For nine months, I spent hours in prayer daily-the start of a love relationship with Jesus. They were hours spent weeping, but they were spent TRUSTING. I Peter 1:7 says that our faith is of greater worth than gold. So in taking away the most precious thing to me—my son—God replaced my treasure with an even greater one: Faith. They were the most painful nine months of my life, but they were the most beneficial to my spiritual growth because I depended on God’s love in such intense ways that I never had before. Halfway through my pregnancy, though, I wanted to give up. I failed to trust my God. I hit a severe low when the father of my

baby convinced me that I could not legally give away a baby without the father's consent. He told me he would come to the hospital when the baby was born and take our son with him. With those frightening words, my eyes immediately shifted from being fixed on Jesus onto the threats of my baby's father. I forgot the truth of God's character and believed lies instead. I told myself that he was right: God will not come through. My baby has no hope of being adopted, no hope of having a real family. He will be kidnapped by my ex. He may as well just not be born then! Even as I felt my baby's feet and hands pushing against me, I researched online to see if I had missed the deadline for having an abortion. If God was not going to protect him through an adoption, then I would take matters into my own hands and protect him from such a life. But God accomplished his will in spite of me and my baby was born full-term. God is the author of life—how faithful He is to create and protect life! Only because of God's faithfulness, not my own, was I able to look into the eyes of a baby boy and say to him: "You were more than worth it." Three years later, I still say that he is worth the pain of those nine months, and the pain of giving him up for adoption. Nothing persuades me of God's faithfulness and God's wisdom the way that my son and his adoptive family do. Perseverance is always worth it, because it is through obedience that we experience the fullness of God. If we disobey, it means we don't love God the way we should. If we don't love Him, do we really know Him at all? Now that I've tasted and seen this goodness of God, I cannot help but want to love Him and to tell the world about Him and His amazing love.

MEET THE STAFF

Nine Months

Favorite scripture:

Colossians 3:12 – 14 (we used this at our wedding…still my favorite!), ”Therefore, as God’s chosen people, holy and dearly loved, clothes yourselves with compassion, kindness, humility, gentleness and patience. Bear with each other and forgive whatever grievances you may have against one another. Forgive as the Lord forgave you. And over all these virtues put on love, which binds them all together in perfect unity.” Childhood hero:

I don’t know if she was a hero, but I wanted to BE Mary Poppins when I was young.

suzanne pennington Role at First Cov:

As the Growth Groups Coordinator, I assist Matt Newton by placing people in Growth Groups and handling other admin duties for him. I am also the administrative assistant for Pastor Jesse and Pastor Ted. First set foot on First Cov:

We visited a couple times in the late 80s (down on La Riviera), but we decided it was too far to drive from Cameron Park. Then we visited again a couple times about three years ago. We finally started attending regularly October 2011. Joined staff:

October 1, 2011 Birthday:

October 6 (do you really need the year??) Family:

I was raised in the LA area and met my husband Mark at Hollywood Presbyterian Church. We’ve been married 32 years. We have three grown sons – Kenny (21), Ryan (24), and Matt (28) who is married to Cherish. Kenny, Matt and Cherish all live and work in Washington, DC. Ryan lives in Folsom.

Favorite pastimes/hobbies:

Reading (mostly mindless mysteries these days as my brain needs to relax). I have three more serious books started… it will probably be awhile before I finish them. I did read Richard Stearns (president of World Vision) “Hole in the Gospel” fairly recently –convicting, inspiring and challenging! Favorite place to eat:

Charthouse in Cardiff by the Sea (right on the beach….fabulous view). Last movie you watched:

Through Netflix, we watched “The Way” with Martin Sheen about walking the “El Camino de Santiago” pilgrimage in France (in honor of his deceased son). We rarely go to an actual movie in a theater. Where do you want to visit:

Italy! I’ve wanted to go there for a long time. We’re hoping to take the whole family one day. I am especially interested in the Cinque de Terre area.

At Starbucks:

Skinny Vanilla Latte (iced in the summer, hot in the winter).

Sarah King is a caregiver and blogger. She is passionate about building friendships with current and former workers in the sex industry. She loves studying foreign languages and reading in her spare time. First Cov has been her home since 2003. acoustic.learner.smk@gmail.com

4

COMPASS MAGAZINE

WWW.FIRSTCOV.ORG

5


january18

Grief Share is a place to find support, hope and healing if you have lost someone close to you. It is also a place where you can be around others who understand how you feel. Meetings take place weekly, off-site. Call Dan Wade at 916.849.4227 for location and specific dates.

During our FREE respite night, both special need children and their siblings can enjoy a variety of fun activities in a safe environment. The evening begins at 6 P.M. every third Friday of the month and ends at 9 P.M. During those three hours, the children are assigned to a buddy who plays with and looks out for them. The one-on-one attention we provide is designed so that each child can participate in activities that best suit their needs and preferences. Reservations are required to attend this event so that the appropriate amount of volunteers may be gathered to properly assist your children. For more information or to make a reservation, please contact us at oneagleswings@firstcov.org

upcoming

events

begins in January griefshare Adults 6:30-8:00 P.M.

january02

Spring Dance Studio Session Begins Age 3 ­- Adult We offer a wide variety of classes, including ballet, jazz, hip hop, tap and more. New students are always welcome. Cost is $25.00-$30.00 per month. See the schedule at firstcov.org/dance or contact Carolyn Melville at cmelville@firstcov.org

january4-6

Young adult Winter Retreat Ages 18-28 Diamond Arrow Christian Conference Center, Nevada City, California Solas Young Adults will be heading up the hill for focused worship, time in God’s word and a refreshing opportunity to hang out with the Solas fam. There will likely be many more crazy shenanigans to enjoy. Don’t miss this great annual tradition. Register at: firstcov.org/winterretreat

January08

mom's connection 2013 kick-off Moms with Kids (Infant–Grade 5) 9:15–11:15 A.M. • Chapel Mom's Connection is a loving, safe place to engage with other moms, dig deep into God's Word and share fun activities. At the same time, we learn to grow as women, moms and wives. Childcare available for kids up to age 5. Contact Jennie in the church office for more information. firstcov.org/moms

January08

Mosaic Line Dancing Senior Adults 9:30–11:00 A.M. • Room 200 Mosaic’s monthly line dancing activity—second Tuesday of each month. No experience needed. ALL seniors welcome! Call Suzanne in the office for more information.

january13

Growth Groups–Winter Trimester Begins All Ages Meetings–Various Times Growth Groups are an incredible opportunity for spiritual growth. Get connected with a spiritual family here at First Cov by attending one of our weekly small groups. Groups meet on various days at various times all over the Sacramento area. Call Suzanne in the church office for more information about how to get plugged in!

january16

Men’s Bible Study Kick-Off BBQ Men, 18+ 6:30 P.M. • Church Lawn Come and celebrate the New Year and a new season of men’s studies and fellowship with us. Join an enthusiastic group of men for food and fellowship followed by an interactive, large group teaching session. Teaching sessions are followed by small group discussion and specific prayer for each other. It’s a great place to make connections and grow stronger in your faith. Contact Jennie in the church office for more information.

6

COMPASS MAGAZINE

On Eagle’s Wings- Free Respite Night 8 Weeks-14 Years 6-9 P.M. • Room 103

January 18-19

Winter Rush High School Students 8:00 P.M. • Meet in Room 214 Winter Rush is an action-packed 24-hour event for high school students. Crazy fun sleepover at the church on Friday night and then we head for the snow on Saturday. Contact Kellee in the church office to register and for more information.

January19-21

chill out Middle School Winter camp 11 A.M. • Meet at First Cov Sky Mountain Christian Camp All Middle School students are invited to join us at our winter camp for a weekend of fun, friends and faith. We will be staying at Sky Mountain Christian Camp in Emigrant Gap. The cost is $110. Scholarships are available for those who need financial help. For more information, contact Darin Schoch, dschoch@firstcov.org

JANUARY20

Equipping Classes Begin 10:00 A.M. For topics and room schedule, see page 26.

january20

Lunch with Josiah and Heidi All Ages 12:45 P.M. • Chapel Come and enjoy a delicious meal and hear stories from some of our Global Outreach Partners who are living overseas. Free tickets will be available starting January 6. A donation will be accepted to cover the cost of food.

january23

KIDS KLUB Preschool-3rd Grade 6:15-8:15 P.M. • Room 110 KIDS KLUB is our midweek Equipping Class designed especially for children. KIDS KLUB matches up with our adult Equipping Classes on Wednesday nights, allowing for parents to participate in their classes worry-free. Each meeting includes a life application Bible study, worship, high energy games, projects, memory verse challenge and snacks. Advanced registration is not required but all children must have a signed and completed medical release and registration form before they are able to attend. These forms are available online at www. firstcov.org under our children’s ministries page. Just follow the KIDS KLUB link.

january23 Club 45 4th-5th Grade 6-8:30 P.M. • Gym

Club 45 is our special ministry geared specifically to the 4th and 5th grade students. Each week, we have awesome games and competitions, in addition to a fun and interactive worship and

teaching time. Students are encouraged to bring their friends and some extra money for our snack bar. For more information, contact Danny Langan at dlangan@firstcov.org

january23

Wednesday Night Women’s Equipping Class Women, 18+ 6:30 P.M.• Chapel Come discover the peace you long for as we dive into a new study by this year’s retreat speaker, Debbie Alsdorf, titled He Is My All– Living in the Truth of God’s Love for Me. If you yearn for confidence and peace, if you long to live fully in the moment in every season of life, A Woman Who Trusts God is your pathway to a new perspective. For more information, contact Jennie in the church office. firstcov.org/womens

january24

Thursday Morning Women’s Equipping Class Women, 18+ 10 A.M. • Chapel Come discover the peace you long for as we dive into a new study by this year’s retreat speaker, Debbie Alsdorf, titled He Is My All– Living in the Truth of God’s Love for Me. If you yearn for confidence and peace, if you long to live fully in the moment in every season of life, A Woman Who Trusts God is your pathway to a new perspective. For more information, contact Jennie in the church office. firstcov.org/womens

january26

SOLAS Snow Day Trip Ages 18-28 8:30 A.M.–4 P.M. • Yuba Gap Snow Park Solas Young Adults will be having a day in the snow. Come sledding with us at the Yuba Gap snow park. Bring your own sled, or be adventurous and bring whatever you think you can slide in or on down the hill. You can also join the “Create Your Own Sled” contest and possibly win prizes for most creative, biggest sliding fail, etc. Meet at the church at 8:30 A.M. to carpool.

january26

January28

Winter Sanctuary January 28-February 1 Individuals and families who want to serve the homeless Various shifts • Gym Share the love of Christ in practical ways by helping to prepare meals and serve them to as many as 100 guests per evening. There are a variety of ways to help and something for all ages to do. Contact Steve Rodriguez at srodriguez@ firstcov.org for more information on volunteering.

January29

Mosaic Food and Fellowship Senior Adults 9:30–11:00 A.M. • Room 200 Join us for a potluck brunch and fun time of fellowship. All seniors welcome! Call Suzanne in the office for more information.

Chosen Ones Pizza Lunch Families who currently are or are considering fostering or adopting 12:45 P.M. • Room 200/202 If you are a family who has adopted, is fostering or is considering fostering/adoption, please come to our monthly fourth Sunday get together. Bring your family as we get to meet and encourage one another in the journey on which God is taking our families. Cost is $5 per family.

february24

Divorce Care is a support group for people who are going through separation or divorce. You will experience support through materials full of wisdom to help you navigate these scary times. Meetings take place weekly, off-site. Call Dan Wade at 916.849.4227 for location and specific dates.

february01

SOLAS Service Day: St John's Shelter Ages 18-28 6-8:30P.M. • St. John’s Shelter, Sacramento, CA

february24

New members Class 12:45-4:30 P.M. • Chapel

Solas Young Adults will be serving together at St. John’s Shelter in Sacramento. We get to plan and participate in game night for all the residents. Come play games with us and serve those in need around you.

Our two-part class required for church membership. These meetings include a complimentary lunch and Kid Kare. If you consider First Cov your home church (or want to make it your home), we welcome you to join us for this class. The second part of this class is on March 10 for a testimony sharing time. Contact Suzanne in the church office for more information.

february09

february24

Scrap, Craft or Sew Women 10 A.M.–5 P.M. • Room 112

february10

january27

Solas Young Adults invite you to join us for an epic scavenger hunt. Join us at the church and we will get you on a team to go out and accomplish as many of the tasks on the huge list as you can. Then join us back at the church to watch all the videos and photos while eating as much pizza as we can.

If you are a family who has adopted, is fostering or is considering fostering/adoption, please come to our monthly fourth Sunday get together. Bring your family as we get to meet and encourage one another in the journey on which God is taking our families. Cost is $5 per family.

Come on and get crafty and make some new friends during this monthly activity! All skill levels welcome. Bring your supplies and a snack to share.

All children 1st-5th grade who have prayed and asked Jesus into their hearts are encouraged to take this special 4-week class that will prepare them for baptism. The class is free and includes a workbook, snack and special prizes at the conclusion of the class. Upon completing the class (before the baptism date), each child and a parent must meet for an interview with Pastor Fred, fhammer@firstcov.org

SOLAS Video/Photo Scavenger Hunt Ages 18-28 2-9 P.M. • Chapel

Chosen Ones Pizza Lunch Families who currently are or are considering fostering or adopting 12:45 P.M. • Room 200/202

Divorce Care Adults 7–8:30 P.M.

Come on and get crafty and make some new friends during this monthly activity! All skill levels welcome. Bring your supplies and a snack to share.

Baptism Class for Children Begins 1st-5th Grade 10-11:00 A.M. • Room 112-A

february16

begins in february

Scrap, Craft or Sew Women 10 A.M.–5 P.M. • Room 112

january27

one-on-one attention we provide is designed so that each child can participate in activities that best suit their needs and preferences. Reservations are required to attend this event so that the appropriate amount of volunteers may be gathered to properly assist your children. For more information or to make a reservation, please contact us at oneagleswings@firstcov.org

Student Ministries Baptism Class Middle School and High School Students 10:00 A.M. • Room 211 Middle school and high school students interested in baptism are encouraged to attend this one-day class in preparation for the baptism service on Sunday, March 3.

february12

Mosaic Line Dancing Senior Adults Second Tuesday of Every Month 9:30–11:00 A.M. • Room 200 Mosaic’s monthly line dancing activity—second Tuesday of each month. No experience needed. ALL seniors welcome! Call Suzanne in the office for more information.

february15

On Eagle’s Wings- Free Respite Night 8 Weeks-14 Years 6-9 P.M. • Room 103 During our FREE respite night, both special need children and their siblings can enjoy a variety of fun activities in a safe environment. The evening begins at 6 P.M. every third Friday of the month and ends at 9 P.M. During those three hours, the children are assigned to a buddy that evening who plays with and looks out for them. The

Winter Sanctuary February 24-March 1 Individuals and families who want to serve the homeless Various shifts • Gym Share the love of Christ in practical ways by helping to prepare meals and serve them to as many as 100 guests per evening. There are a variety of ways to help and something for all ages to do. Contact Steve Rodriguez at srodriguez@ firstcov.org for more information on volunteering.

march02

SOLAS Drive In Theaters Ages 18-28 7 P.M. • First Cov (for carpool) Solas Young Adults will be getting together to carpool to the local drive in. Meet at the church so we can cram into as few cars as possible, and thus, cheap as possible.

march10

cross of Jesus. This year’s Prayer Experience (all new) will help you connect with the story of Jesus in a personal way. Twelve stations will give you devotional thoughts and simple exercises to do in a quiet and reflective atmosphere. Allow a minimum of 45 minutes to participate.

See description under February 24.

march30

begins in August, 2013. For further information about the preschool and to schedule a tour, call Dawn at 916.861-1625. New members Class 12:45-2:30 P.M. • Chapel

march12

Mosaic Line Dancing Senior Adults Second Tuesday of Every Month 9:30–11:00 A.M. • Room 200

Fun for the whole family. Includes four egg hunt arenas, jump houses, giant slides, obstacle course, BBQ… and it’s all FREE! Bring the kids and enjoy this special event, rain or shine.

Mosaic’s monthly line dancing activity—second Tuesday of each month. No experience needed. ALL seniors welcome! Call Suzanne in the office for more information.

march30 Our Easter worship services allow people to consider the truth of the resurrection and its significance for their lives. Join us for inspiring music, real stories from real people, and a message that will speak to your whole family.

During our FREE respite night, both special need children and their sibling can enjoy a variety of fun activities in a safe environment. The evening begins at 6 P.M. every third Friday of the month and ends at 9 P.M. During those three hours, the children are assigned to a buddy who plays with and looks out for them. The one-on-one attention we provide is designed so that each child can participate in activities that best suit their needs and preferences. Reservations are required to attend this event so that the appropriate amount of volunteers may be gathered to properly assist your children.For more information or to make a reservation, please contact us at oneagleswings@firstcov.org

Our modern services are led by a full band whose aim is to help you engage the God of the universe through relevant worship.

march22-30

Our classic service features our choir, orchestra, and band leading us in familiar hymns and contemporary praise music.

On Eagle’s Wings- Free Respite Night 8 Weeks-14 Years 6-9 P.M. • Room 103

Mexicali Global Outreach Trip High School Students-Adult Mexicali is a great introductory Global Outreach experience for youth and adults alike. Teams work with local churches to provide Vacation Bible School programs for children, athletic events and concerts for youth, family worship services, outreach events, and community service projects. Although the focus of Mexicali is on the students, you don’t have to be a student to participate! Adults are needed for base camp and as kitchen crew, construction team, drivers, translators, and team leader coaches. Applications are available in the box office now.

march31

Easter Services 9 A.M. • Classic 11 A.M. • Modern Our Easter worship services allow people to consider the truth of the resurrection and its significance for their lives. Join us for inspiring music, real stories from real people, and a message that will speak to your whole family.

Our modern services are led by a full band whose aim is to help you engage the God of the universe through relevant worship.

march23

Scrap, Craft or Sew Women 10 A.M.–5 P.M. • Room 112 Come on and get crafty and make some new friends during this monthly activity! All skill levels welcome. Bring your supplies and a snack to share.

march24

march03

Join us for First Cov’s bi-annual celebration of new life in Christ! If you would like to be baptized, please contact Jen in the church office or at jraynes@firstcov.org.

If you are a family who has adopted, is fostering or is considering fostering/adoption, please come to our monthly fourth Sunday get together. Bring your family as we get to meet and encourage one another in the journey on which God is taking our families. Cost is $5 per family.

march04

march28-29

Applications will be available for families who want to enroll their children in First Covenant Preschool for the 2013-2014 school year which

The Prayer Experience is a growing tradition at First Cov. Each year we design a self-guided prayer experience in which participants are called to remember the events surrounding the

Preschool 2013-2014 New Student Registration 2 ½ -5 years Preschool Office, Room 107

Easter Service 5 P.M. • Modern

march15

Chosen Ones Pizza Lunch Families who currently are or are considering fostering or adopting 12:45 P.M. • Room 200/202

Baptisms 8:30, 10 and 11:30 A.M.

Easter Carnival All Ages Church Patio and Lawn

For more information about these events, visit: www.firstcov.org or call the First Cov office at: 916.861.2240.

prayer experience 4-8 P.M. • Thursday • Gym 7 A.M.–8 P.M. • Good Friday • Gym

WWW.FIRSTCOV.ORG

7


How to Get & Stay Motivated

The Motivation Cycle STEP 1

By Mark Pennington If the Apostle Paul had lived in 2012, he would have been glued to the television watching the Olympics this past summer. Paul was a sports fan as were (no doubt) many of those early Christians living in and around the Mediterranean World. That is pretty clear from the sports metaphors Paul used to motivate Christians in his letters to the churches. Let’s take a look at one of these metaphors in 1 Corinthians 9:24-26a (NIV) to see what Paul has to say about motivation: “Do you not know that in a race all the runners run, but only one gets the prize? Run in such a way as to get the prize. Everyone who competes in the games goes into strict training. They do it to get a crown that will not last, but we do it to get a crown that will last forever. Therefore I do not run like someone running aimlessly.” In this passage Paul stresses the importance of “keeping your eyes on the prize.” It’s the crown that motivates Paul. He’s not after a t-shirt that says “I ran in the 10K.” He’s not after any certificate of completion. He wants the Olympic gold. It’s that prize that motivated Paul’s discipline and perseverance. What does motivation have to do with your dual roles as students and followers of Christ? Plenty. Unless you have the kind of motivation that Paul is talking about, you won’t put in the hours of study to “ace” that test, let alone wake up for that 8:00 A.M. class after a long

Practice

weekend. You won’t spend time in prayer or go to that Bible study. Other priorities will get the best of you or sheer laziness will set in. If you’re not motivated, you’re not going to accomplish much. So how can you get motivated to hit the books and grow your faith—especially in those areas in which you aren’t naturally interested or gifted?

Satisfaction

STEP 3

STEP 2

AchievEment

Motivation won’t fall from the clouds. You have to take those first steps by jumping into the Motivation Cycle. The Motivation Cycle works in both our school life and in our spiritual life. Why not pick one school subject in which you’d like to improve? While you’re at it, pick one of the spiritual disciplines that you’d like to work on: prayer, Bible study, worship, etc. Then jump into the Motivation Cycle at the practice step. Get started by taking that first step. Be patient, but expect improvement as you work toward achieving your goals. Use the resulting satisfaction to motivate continued practice. As a student and as a fully devoted follower of Christ, you can get and stay motivated to achieve your goals. Mark Pennington is an educational author and teacher. Mark began attending First Cov about a year ago, when his wife, Suzanne, joined the staff of our church. In his spare time, Mark is a musician and avid backpacker. mark@penningtonpublishing.com

Step 1 Practice It all starts with effective practice. Effective practice means to do things repeatedly the right way. To find out what the best practice is and how to do it, you need to ask an expert. Teachers, parents, pastors, or friends who have been successful at that particular task can be excellent coaches.

Retirement At 67, retired from a wonderful Chiropractic career, multiple years of ministry experiences and 16 years in leadership at Bible Study Fellowship (BSF). Some might think it was time for me to slow down and let others carry the baton. Makes sense, right? Wrong.

Step 2 Achievement As you consistently practice, you will see results. It may take a while to reach your goal. If you haven’t done any math homework all year, it will take some time to improve your grade and catch up on missing skills. If you haven’t practiced the basics of inductive Bible study, you won’t become a Bible scholar overnight. If you don’t experience achievement after a reasonable amount of time, ask for help and adjust your practice.

Once you experience achievement, you start feeling good about yourself and your accomplishments. Our brains and hearts make positive associations between that satisfaction and the cause of the satisfaction. Feeling good about reaching your goals will increase your motivation to practice, and the Motivation Cycle will continue to self-perpetuate. That’s how God has wired us.

COMPASS MAGAZINE

by Dan F. DeShong

The longest journey begins with one step, but we have to take that step. The good news is, once you actually get motivated, it’s much easier to stay motivated. After that first step, Newton’s First Law kicks in. “An object in motion stays in motion unless an opposite force is applied to it.” But be diligent in prayer to guard your mind and heart against these opposite forces: past failures, temptations, or the like.

Step 3 Satisfaction

8

Responding to God's Call

Dan DeShong’s personal mission statement is “To please God, serve others and live abundanty.”

the call to GO While studying Isaiah in BSF, we came to chapter 6:8. "I heard the voice of the Lord saying 'whom shall I send and who will go for us'?" Then I said, "Here I am, send me." After reading this, I became very restless. During a seminar on sharing the Gospel, I was convicted that I needed to pray and ask God to use me in a mighty way. Be careful what you pray for—God just might answer! It was only a matter of time before I resigned my leadership position at BSF and made myself completely available for God to use. Lest you think I’m Mr. Spiritual, I want you to know that I would much rather sit in my blue recliner and watch sports. But when God calls, you can't have peace or joy until you obey.

the invitation Two weeks later a man walked up to me at Starbucks and thanked me for witnessing to him 20 years ago and in the same breath invited me to go to the Olympics in London as a Christian Chiropractor. Lay Witnesses for Christ International have been to the last seven Olympics and uses the world stage of sports to bring Christ to the athletes from all nations and also to support local churches in the Olympic cities. Could this be the answer to my usual weak, non-committed prayer? My family was excited and supportive, yet very concerned for my health and stamina. God started slamming other open doors and the blessings of the call started pouring in. Our church really is a mission station. WWW.FIRSTCOV.ORG

9


obstacles and blessings There were many challenges during the Olympic ministry. Transportation in an already land-locked city of London, location of the churches in relation to the events that were going on, and how to get the athletes to the churches to give their testimonies. It was wonderful watching God work us through the chaos and disruption and the miracles that happened. My job was to be a supportive doctor of staff, care for the international team, M.C., and an encourager for nine to twelve local churches.

God had other ideas.

I think of what He did for us and what we are not doing for Him.

god revealing On the plane over I became very anxious and began what I would consider a good ol' Jacob wrestling match with God. For the first time in my life I began to write what I perceived as His insights for this ministry and my function. I wrote about Christ being the only true, pure, qualified Olympic champion over all the nations and universe. His intent, His qualification, His team training, how He left His home to run the race, His victory (us), His ultimate sacrifice and His gold medal (our salvation). I didn't realize how powerful this was going to be until I was asked to give the keynote sermon the first night when our top evangelist didn't show. God truly makes the ordinary, extraordinary, when so many believed and became eternal Olympic champions because of Christ. I was blessed to give this message and I was being bathed in the beauty of the Holy Spirit.

drdandeshong@sbcglobal.net

Dan says that the Lord “has shown me how to love [my wife, Sherri] like Christ loves the church.”

10

COMPASS MAGAZINE

Danny Langan Role at First Cov: I’m the Club 45 Director. I am part of the Children’s Ministries team but focus on 4th and 5th graders.

First set foot on First Cov: December of 2002. I came to First Cov because my sister invited me. She was going all the time and was involved in the college group. I was halfway through my senior year in high school. Her being so involved made the transition a lot easier. Joined staff: I joined staff on August 19, 2012. I’m one of the “new guys” around here. Birthday: December 30, 1984. Family: My wife Heidi and I got married in May of 2011. We met here at First Cov. We live in Rancho Cordova, we both work and do not have kids yet. We are both excited to have kids when the time is right. We both love sports (we both have coached Crossover basketball here at the church) but I would have to say I am more obsessed with sports than my wife is.

go to grow After two tours in Vietnam I have tried to make my life safe and comfortable, even though I know there is nowhere in scripture that safe and comfortable comes up. I believe He is more interested in our availability than our ability. I had to travel half way around the world to learn these things. After all, lessons unlearned will be repeated. He can only use us when we are broken and open and willing to get out of our comfort zone. I think of what He did for us and what we are not doing for Him. I wonder where we would be if He had decided on the cross that it was too hard, too painful, and too uncomfortable, and gave up on saving all of humanity. I now cannot keep inside of me what He has created and is growing. I'm not going to rust out but be open to my Lord and Savior using me until I wear out.

Dan DeShong has witnessed the power of God in his life to heal and transform him. Having persevered through health issues of cancer and post-traumatic stress disorder, He has been blessed to serve at First Cov for more than 30 years in various volunteer roles, including as an elder, Equipping Class teacher and small group leader. A Navy Vietnam veteran and retired chiropractor, Dan and his wife, Sherry (a volunteer Sunday School teacher), have two children; Renee Weber, Ryan DeShong and five grandchildren. With a long legacy of involvement with the church, Dan proudly says that many of his family’s interests and ambitions “grew out of seeds planted at First Covenant Church.”

MEEt THe STAFF

What a God surprise! Dan (unexpectedly) delivered the keynote sermon during an outreach event at the summer Olympics in London in July.

Childhood hero: I had a few childhood heroes, so I will give you two. First, I would say my dad. Growing up he spent a lot of time watching sports with me and that’s where a lot of my passion for sports has come from. My other superhero from childhood would be Joe Montana.

Favorite pastimes/hobbies: Almost anything to do with sports (Do you sense a theme developing here?) Favorite place to eat: I will have to give you a few; I can’t pick just one: La Placita, Black Angus, Olive Garden and any pizza place. Last movie you watched: 21 Jump Street. Where do you want to visit: Ireland. It has nothing to do with sports. I'm 50% Irish and it looks like a beautiful place. At Starbucks: When I do go to Starbucks I get a caramel macchiato or, if in season, an egg nog or pumpkin spice latte.

Favorite scripture: Joshua 1:9, “Have I not commanded you? Be strong and courageous. Do not be terrified; do not be discouraged, for the LORD your God will be with you wherever you go." (NIV)

WWW.FIRSTCOV.ORG

11


50 Things You Already Know When Paul preached on Mars Hill, he was preaching to a group very similar to us in this modern information-saturated, “Googleizedâ€? society. The meeting of the Areopagus (Paul’s chosen venue) was filled with people who “spent their time doing nothing but talking about and listening to the latest ideasâ€? (NIV). Instead of taking time to ponder the teachings they had already heard, this group thrived only on the excitement of new ideas and the latest revelations. This seeking after all things new is definitely nothing new‌ The truth is, whether it was 2,000 years ago or 2012, we rarely lack for information—we lack for action. It’s been said that we can change the world if we simply DO everything we already know we are supposed to. So, instead of seeking for new revelation or making fresh resolutions for the New Year, we here at the COMPASS thought we would remind you of what you already know.

Here are 50 great reminders from First Cov sermons preached this past year‌

1

When your faith collides with the world it should produce: Purity • Flavor • Preservative • Thirst

2

We have a ministry to do—the ministry of reconciliation. We

are ambassadors of Christ to the world.

†

lack of trust

5

â™›

To keep a fellow believer

accountable for their actions:

concern. Bring another with you. empty words or deeds.

God values obedience.

Tell the church leaders.

đ&#x;‘„ 7

God desires intimacy, not lip service

8

9

Jesus’ strategy to make disciples: Share• Grow• Equip

Are you on The Path here at First Cov?

→

The Path includes being involved consistently with: • Worship • Equipping Classes •

Growth Groups

11 Pray for

Let your “Yes� be “Yes� by

doing what you say you will do.

♼

12

those who persecute you.

Love is a matter of choice. Love is a chosen action. Love is not about us.

We are called to make prayer a lifestyle.

ďƒœďƒ?ďƒ›

What eterAnal work does God have for me to do?

You have been SHAPEd for ministry through your unique combination of Spiritual Gifts, Heart, Abilities, Personality and Experiences.

24 We should receive, obey and proclaim God’s truth to the world around us.

22

21 Genuine giving is to be :

sacrificial &

cheerful.

ď Š

25

A peacemaker leads others to be at peace with God.

Identify the “other place� in your life where you already exist among non-believers.

True satisfaction 27 Jesus is 28 Ephesians 2:8-10 says that God and contentment our only hope created us to do good works. for holiness. only come from God.

34

Following God’s call will lead you out of your comfort zone. 37 38

âš 

35 When you obey, you will

GROW.

36 Identify your “holy discontent.� What injustice in the world makes you righteously angry? Get involved there!

39 We must take responsibility for our spiritual growth.

Fellowship with

Fellowship with

other believers

other believers

44

produces

Worrying is worthless.

from sin.

are helping connect to God?

to engage Scripture and knowing how to share the Gospel.

29 Speak the truth in love and patience. 30 Jesus’ wisdom contradicts the world’s wisdom.

produces healing

ď‚´ ď‚´ 17 Who is your disciple that you

20 We need to be equipped in how

from God and others.

26

that faith needs works to be put into action.

16 An important question to ask yourself:

19

The Lord’s will for you is to: • love God • love others • evangelize • disciple

cuts you off



6 God does not value

Go to the person and share your

15 James 2:17 says

23 Anger

in God

4

keeping your appointments and

COMPASS MAGAZINE

Worry displays a

18

We often like to point out faults in others rather than ourselves.

10

12

3

13 14

The wrong practice in prayer is using formulas instead of trusting God.

accountability in

đ&#x;‘?

đ&#x;‘Ž

the Christian life. God knows your needs.

47 Formula for Evangelism: High Potency + Close Proximity + Clear Communication + Evangelistic Personality = Maximum Impact

~ 48 Growth

One of the main purposes of Groups is to care for one another through bearing each other’s burdens.

ď ?

31The truth

will be controversial.

God isn’t fair—and you should be glad (With Jesus, we don’t get what we deserve).

32

40 Colossians 3:23-24 says to work as for the Lord, not men.

⛪

41 Corporate worship is often where God engages us.

đ&#x;“Ł 45 When we share our faith with others, it produces spiritual maturity in us.

33 Invest your time, abilities and money in God’s kingdom.

42 God expects us to be persistent in seeking Him.



43 Are you a spiritual procrastinator? (Postponing dealing with

your sins and developing your relationship with God).

46 Don’t 50 gossip—it Understanding God’s tears apart relationships. grace and

49 Be honest about your fears (about what

compassion for you will move you to reach

out to the lost.

responding to God in obedience might cost you).

WWW.FIRSTCOV.ORG

13


worship

Easter is the cornerstone of our faith! We believe that Jesus really is alive and so we celebrate His resurrection in some special ways at First Cov. WORSHIP

Our Easter worship services allow people to consider the truth of the resurrection and its significance for their lives. Join us for inspiring music, real stories from real people, and a message that will speak to your whole family. Our classic service features our choir, orchestra, and band leading us in familiar hymns and contemporary praise music. Our modern services are led by a full band whose aim is to help you engage the God of the universe through relevant worship.

CARNIVAL

classic

MODERN

Sun. March 31 9 A.M.

Sat. March 30 | 5 P.M. Sun. March 31 | 11 A.M.

the

prayer experience

Thur. March 28 4-8 P.M.

Good Friday | March 29 7 A.M.-8 P.M.

carnival

Sat. March 30 3-4:45 P.M.

The Prayer Experience The Prayer Experience is a growing tradition at First Cov. Each year we design a selfguided prayer experience in which participants are called to remember the events surrounding the cross of Jesus. This year’s Prayer Experience (all new) will help you connect with the story of Jesus in a personal way. Twelve stations will give you devotional thoughts and simple exercises to do in a quiet and reflective atmosphere. Due to the popularity of this event, we are expanding the hours to include Thursday evening, as well as all day Good Friday. Allow a minimum of 45 minutes to participate.

Fun for the whole family. Includes four egg hunt arenas, jump houses, giant slides, obstacle course, BBQ…and it’s all FREE! Bring the kids and enjoy this special event, rain or shine.

14

COMPASS MAGAZINE

WWW.FIRSTCOV.ORG

15


This Story is Brought to You by the Letter " " MEET a VOLUNTEER

MARILYN FINKBEINER

First set foot on First Cov Campus:

My husband Ron and I came to First Cov in 1991. We were sent by a good friend of Pastor Ted’s from Fresno. YEARS OF VOLUNTEERING:

I joined the choir about three months after coming here. I started my volunteer job with worship ministries a few years after that. I serve as the Choir Librarian. This is preparing all the printed music the choir sings on Sunday mornings and for special events. If it’s choir music, I’m responsible! I also serve as a mentor mom for Mom’s Connection. I just started that in January. WHY VOLUNTEER:

The reason I volunteer is to serve my church community. The Holy Spirit doesn’t give us gifts not to be used. Family:

Ron and I have been married for 23 years. We have a total of five children, one boy and four girls. They have given us eight grandchildren and six great-grandchildren. FAVORITE PASTIMES/HOBBIES:

My free time is spent with needle crafts of all kinds. Plus computer games. FAVORITE PIZZA TOPPING:

My favorite pizza is a cheese pizza. Lots of cheese! FAVORITE VEGGIE:

You name it, I like it… as long as it’s not one of the ones I’m allergic to!

I could hear the whining from across the hall, “I don’t want to! It’s too hard!” A few minutes later, the meltdown was in full swing, “NOOOOOO! I can’t do it.” It was Wednesday, letter day in our Transitional Kindergarten class. First Covenant Preschool uses a curriculum program called Handwriting Without Tears but for Jimmy, anything to do with a pencil was Handwriting WITH Tears. Jimmy was receiving occupational therapy for his fine motor skills but even with a special pencil grip and a slant board, Jimmy was just plain convinced that he could not write.

As believers, we hate to find ourselves in “that place” and I know firsthand the guilt and frustration that can come from continually failing. We passionately desire victory over these areas of our lives but the problem is usually our approach.

When I walked over to his class, Jimmy was heading towards a major meltdown. His letter B page was smudged and scribbled on. I sat next to him and asked, “What’s going on, Jimmy?”

We wouldn’t attempt to compete in an Olympic triathlon having never trained. We wouldn’t ask to perform a classical piece of music at Carnegie Hall having never played an instrument. We wouldn’t design or build a bridge without any engineering experience. As obvious and absurd as these statements are, this is how we often go about dealing with temptation. Why do we expect our walk of faith to be different? Why do we step out into the arena of life under-equipped and ill-prepared? We can’t forget that we have a very real and powerful enemy.

By Dawn Jeske

“I DON”T LIKE B!!!!!” was the answer. “I can tell you don’t like B,” I told him. “What if you just make the straight line for a B? You know how to do that.” It took some coaxing, but Jimmy finally agreed to make some straight lines. He could do that. The tears dried up. “Let’s try just one hump,” I offered, “and I will do it with you.” Hand over hand we traced one hump and then the next. The result was wobbly, but it was a capital B. “I MADE A B!” Jimmy cracked a smile for the first time since starting his letter page that morning.

LESSON THAT GOD’S BEEN TEACHING YOU:

BEST VACATION EVER:

It’s the same way with our Heavenly Father. He only asks us to do what we can and He gives us what we need to do the rest. He is always by our side, even when we are making the letter B.

Our best vacation was 52 days touring around the US the first year we were married.

By Dan DeMuri

Temptations are a part of life and they are everywhere. Although we don’t like to talk about it, we live in a world of evil and darkness. We are sinful creatures with fleshly wants and desires that can be difficult at times to control. Sometimes we succeed and overcome, but often we find ourselves overcome and we lose the battle. Whether it is from a series of choices or a momentary decision, either way, we can suddenly find ourselves caught off guard, unprepared, and we act out of our human flesh. The result is sin.

Jimmy may never love writing or the letter B, but he learned a lot about starting with what he could do and accepting help with what he could not. He learned it is easier to not give up when there is someone next to you cheering you on!

I’ve been learning more about being understanding and compassionate to others, especially to those closest to me.

Dan DeMuri • Christianity ddemuri@firstcov.org DiscoveryByChannel

It is never an accident that we find ourselves in moments of temptation. In 1 Peter 5:8 we are reminded that our enemy is like a lion on the prowl seeking to devour us. That is powerful imagery. We need to see the devil for what he is:

a cunning and ravenous predator who will relentlessly stalk his prey until such time as it can be overtaken and eaten. Lions are very patient and strategic hunters. They watch and wait, creeping closer and closer while their prey is unaware. Then, at the moment when their prey is most vulnerable, they isolate and attack it. This is our reality. When I watch the Discovery Channel, I know it rarely ends well for the small gazelle out in the South African prairie. DON’T BE THAT GAZELLE! We can’t forget that our predator is out there– watching, waiting, and planning our demise. He knows our struggles and our weaknesses, and he’s looking for ways to exploit them to bring us down. We can either continue to live life as weak prey waiting to be devoured, or we can confront Satan long before he strikes. If we are to be successful, we must have a strategy in place well before temptation meets us. We need to be on our knees daily, with a fully submitted spirit, seeking God and His righteousness, meditating on His word and engraving it on our hearts. We must resist the urge to isolate ourselves when the battle is strong. Temptation becomes much more powerful when we try to face it alone. "The reason why many fail in battle is because they wait until the hour of battle. The reason why others succeed is because they have gained their victory on their knees long before the battle came. Anticipate your battles; fight them on your knees before temptation comes, and you will always have victory." ­ —R.A. Torrey The coolest things about Dan DeMuri’s life are his wife Meghan, and two little girls, Adalyne and Holly. Oh, and he gets a front row seat to watch hundreds of fellow believers worship every Sunday. That’s pretty sweet, too… ddemuri@firstcov.org

THREE WORDS TO DESCRIBE JESUS:

Savior. Rock. Faithful.

16

COMPASS MAGAZINE

down

up and over

around bump the b

WWW.FIRSTCOV.ORG

17


Quitters Never Prosper

It Ain’t Over Til It’s Over By Jennie Nagy

By Jane Daly

Finished! Done! Through! Final! Fini! So over it! Outta here! Movin’ on! Time to blow this taco stand! Sometimes finishing means letting go. There was a time when it seemed like people were constantly saying, “Get over it!” or “Just let it go!” It drove me crazy, especially when they said it to yours truly. My typical reply? “I am letting it go – this is me letting it go!” Letting go is a process, but people don’t usually like processes, especially when they make us feel uncomfortable. For me, depending on the significance of the event or subject matter, letting go may require a number of steps, such as: discussion, thought, prayer, ranting, raving, babbling, crying, fist-pounding, and more often than not, a pathetically attended pity party of one person (me) whining endlessly about how crappy life can be. And you know what? I’m okay with that. This is my process. This is what gets me to the place where I can say, “I’m over it. It’s done!” Now don’t get me wrong, I don’t always go through every single one of these exercises in the process of letting go. I reserve my most severe rants for extreme conditions. The point is, finishing can look different for each of us, and the manner in which we get there depends in great part on the situation or circumstance. According to www.blueletterbible.org, the translation of the Hebrew word for finished, shaphel, means “to bring something to an end.” In other words, an active process of moving toward the conclusion, not simply bada bing bada boom and you’re done. For the past nine months I’ve done a pretty thorough study of the first five books of the Bible, otherwise known as the Pentateuch or Torah. But before you go thinking to yourself, Wow, isn’t she a spiritual super star! I need you to know my original intent for this year was to read the entire Bible. So while I may not have finished the Bible this year, God’s not finished with me yet.

18

COMPASS MAGAZINE

The beauty in letting go of my original plan, slowing down, and changing course meant being able to absorb, contemplate and grow more intimately in love with God and His Word.

But wait, it gets better. In Chapter 34, verse 7 (NASB), the story of Moses winds down like this:

"People don’t usually like processes, especially when they make us feel uncomfortable"

twenty years old when he died, his eye

The word finished appears 91 times in the New American Standard version of the Old Testament, and a total of 102 in the entire Bible. While finishing up the fifth Book known as Deuteronomy, I noticed something in Chapter 32, verses 45 and 48-50 (NASB).

“Although Moses was one hundred and was not dim, nor his vigor abated” It would seem Moses aged rather gracefully, finishing in the prime of his life. Not setting foot in the Promised Land was the consequence of Moses’ previous disobedience that stole God’s glory (see Numbers 20:11-12) – always a serious nono! While the topic of death never inspires me to do a happy dance, I think God is gracious and sweet for allowing Moses, in spite of his earlier major misbehavior, to actually see “the land flowing with milk and honey.” Moses got to ascend the mountain, take in the view, and pass into eternity full of vim and vigor. Not such a bad way to go for a boy who began life threatened by murder and floating in a basket down the Nile. I don’t speak Hebrew, but I’d say God shapheled Moses. The journey may have been riddled with more sink holes and sand than Moses would have preferred,

but, as promised, God completed His work in Moses’ life. Ultimately, finishing well, reaching our goals and persevering to the end may not look the way we originally envisioned. Sometimes we have to let go of our own expectations, and dreams, so that we can complete those God has for us. What does “finished” look like for you? Are you willing to allow God to take you through a process in order to finish well? Is there something(s) you need to let go of so you can persevere and finish what you’ve started? Serving at First Covenant for going on 6 years, Jennie Nagy learned to speak fluent English as a girl, inspiring her to tap out words that rhymed and expressed her heart on profound topics like crickets and roses. Since then, she has read the Bible and now prefers writing about such things as lion carcasses filled with honey.

Goal: The result or achievement toward which effort is directed.

Result:

Something that happens as a consequence; outcome. Four years ago, I set out to write a novel. It was a goal I had talked about and dreamed about for a long time. It was also something God had laid on my heart to do. Reading has always been a way for me to relax, escape, and experience places I’ll never go to. I love to read stories about people who’ve faced insurmountable odds, yet through it all, have either met God or been strengthened in their faith. I had no idea what I had gotten myself into. My book would be a fictional story of how a broken young woman finds redemption through God’s unconditional love. The typical length of a Women’s Christian Fiction novel is 100,000 words.

Did I mention I started my novel in 2008? As I continued to pound out my story, doubt crept in. This isn’t very good, I told myself. No one will want to read this. You can’t write. I wanted to quit. I was afraid that the finished product wouldn’t be any good. All my friends and family would be disappointed with what I had written. People would laugh at me. Sometimes God gives us something to do that feels like climbing a sheer rock wall. We face circumstances that feel impossible. We know we’re called to persevere, but how do we do that? There’s a difference between simply enduring (“Just let me get through this, Lord!)” and actively surrendering to God’s will and purpose by choosing to persevere. Here’s the amazing thing that I discovered: If God has given you something to do, He will be the one to make sure it happens. 1 Thessalonians 5:24 says, “The one who calls you is faithful and he will do it” (NIV). So, my novel has been written, but now I’m in the season of re-writes and edits. The process is excruciating. Painful. Tedious. Boring. But I’m continuing to persevere, not just endure. I’m learning much about how God works. He has created me, and as I submit to Him, he re-creates me into His image--just like the

novel’s first draft needs to be improved and reshaped by its author. Paul tells us in Galatians 6:9, “And let us not grow weary of doing good, for in due season we will reap, if we do not give up” (ESV). As God continues to work through me, He has shown me the goal isn’t to be published—it is to be obedient and surrendered to him in the process. I have to trust that results will come as a result of obedience—that, as that verse in Galatians encourages me, the harvest is coming when I persevere.

Jane Daly is a regular contributor to COMPASS magazine. She and her husband Mike have attended First Cov for a year and a half. Together, they lead a Growth Group, have taught two Equipping Classes and several sessions for Pathfinders. She works as a bank manager by day, and a writer by night. Her first article, "Abide in Christ," has been accepted for publication by Gospel Publishing House. zan47rmd@yahoo.com

jnagy@firstcov.org

“When Moses had finished speaking all these words to all Israel … The LORD spoke to Moses that very same day, saying, ‘Go up to this mountain of the Abarim, Mount Nebo, which is in the land of Moab opposite Jericho, and look at the land of Canaan, which I am giving to the sons of Israel for a possession. Then die on the mountain where you ascend…’” Moses finished his speech, ascended the mountain, and then he died. I love that once he finished, he ascended. However, the next verse at first glance does not feel quite as nice. God gives Moses one little glimpse of the Promised Land, and then shuts out the lights. Huh?? WWW.FIRSTCOV.ORG

19


“Surrender…” All it took was that one word to challenge Kayti, one of First Cov’s Global Outreach partners based in South East Asia, to rethink her plans regarding the direction her life would take. Nearly six years ago, while serving on the Mexicali leadership team, the simple “Surrender” theme that year was one of the steps that inspired Kayti to seek the Lord for his will for her—and truly be open to whatever He desired her to do. “It was at a little church in Mexicali where I felt a very clear call from God to travel the world to share the good news of Jesus Christ,” she recalls. While the call was exciting, Kayti did have one stipulation, however: “I had told God that I would go anywhere and do anything for Him, but I really didn’t want to go to a Muslim area.” Although she didn’t immediately like the idea of ministering to Muslim peoples, just one year later God challenged her and changed her perspective: “I had to repent when I learned that one of the biggest [global outreach needs] was for people to go to the Muslim world and live as a witness among them.”

Yes, God Can Use That Too… Surprising stories of perseverance and redemption from one of our Global Outreach partners! By Jen Raynes

20

COMPASS MAGAZINE

Unable to deny God’s clear call, Kayti left her career in interior design and began preparing and training to live as a long-term global outreach worker. She did a Discipleship Training School with Youth With a Mission in Australia, as well as the first Global Pipeline internship at First Cov in 2009. In late 2009, she took a short-term “scouting” trip to South East Asia. Even being continually compelled by the theme of “surrender,” Kayti still had a lot of doubts as to whether she could live there longterm. “It was one of the hardest decisions of my life,” she says, “but it basically came down to the fact that I wanted to be a part of what God was doing in the world…I really had no idea what God had in store for me, but I would never see unless I took that step of faith.” While enthusiastic at the start (the “honeymoon stage” as she calls it), it didn’t take long before the intensity of both the spiritual atmosphere in South East Asia, as well as personal emotional battles, set in. Energetic, outgoing Kayti was shocked at her own feelings: “During my first few months I became very depressed and no

longer felt like myself. I felt very far from God, unworthy of His love or that of anyone else either.” During that time, Kayti felt as though her “entire identity was under attack from the enemy.” Doubts about God’s love and her own self-worth seemed to be ironically heightened due to the nature of the work: “I was embarrassed and felt like a failure as a global outreach partner.” It was then that Kayti came face to face with the revelation that she didn’t truly understand God’s grace and love specifically for her, not just for the people she was ministering to. “I was still trying to perform and earn God’s love through my actions, even though I knew (in my head) that He loves us unconditionally. I was still living by a works based mentality even after so many years of preaching grace to others.” Kayti vulnerably shares that her struggle to understand God’s love was also due to the fact that she spent her first year on the field as a single woman. “I had never been so lonely in my life,” Kayti recalls. “The feeling of the need for a companion was the strongest it had ever been.” Yet it was because she was single, Kayti says, that she was able to depend on God in a way that she never had before. Armed with a new revelation of God’s love, Kayti humbly learned to be a better worker. “It was so weird to me that there I was, [working full-time] on the field, learning how to be

“The first half of my first year was by far the hardest time I’d ever gone through, but the second half was the beginning of the best.” WWW.FIRSTCOV.ORG

21


After serving her first year on the field as a single, Kayti is now enjoying life with her new husband, Johnny: “We anticipate the exciting things God has for us here together,” she says.

Words of Life

Kayti is continually surprised by the outreach work God has led her to: “Only God could have foreseen that a single female dancer from California could be used to open doors in a SouthEast Asian country. He is an expert at using the unlikely!”

two young singles related to each other merely as friends, until one day everything shifted. “After 10 months of living in South East Asia,” Kayti says, “we quickly went from best friends, to being engaged, to being married just a few months later!” Like turned to love as a result of a great friendship and a shared passion for global outreach: “I have been so incredibly blessed by getting to marry by best friend,” she gushes of her new husband, “[Johnny has] the same heart for God and love for those who have not yet experienced His incredible mercy and extravagant love. He was completely worth waiting for.”

loved. Aren’t I supposed to be here loving others? But apparently I still didn’t truly and deeply know the love of God that He wants to emanate through me to others. I had to learn that [for myself] first.” While struggling with lack of self-confidence, depression and loneliness, all the while Kayti felt that God still allowed her the freedom to choose to leave the field if she wanted. Despite everything, however, Kayti was determined to push through. “I desired to glorify God and be used by Him to the fullest. So, I decided to stay and fight my battles. I told God, ‘Here I am. I have no idea how You are going to use me here, but I am available to You. I want to be a part of what you are doing here. I have empty hands, but please use me!’” Looking back, Kayti knew that learning about God’s love for her and securing her identity in Christ was a turning point. “I am so glad that I didn’t give up!” she said. “The first half of my first year was by far the hardest time I’d ever gone through, but the second half was the beginning of the best.” Had she made the choice to leave the field, Kayti says, she “would have totally missed out on the incredible surprises and blessings God had in store for me on the other side.” And what God had in store truly was more amazing than she could have ever dreamed. With a lifelong passion and gift for dance, Kayti felt like

22

COMPASS MAGAZINE

she would need to surrender this particular talent while working in a conservative Muslim country: “I didn’t think it was something you could do in [global outreach] work.” Yet, the Lord broke Kayti’s box of what she thought was possible in her new line of work when she made an unexpected connection. Here is what she shares…

Through a friend here, I was connected to a line

dance instructor. She invited me to join the local line dance club and my whole world here changed. It is a much different style than we know in the USA—incorporating several dance styles. I was totally accepted by the group (the majority of which are Muslims) and soon became one of the instructors. I had found my people! This is a very tight knit group of people, like a family—and I was invited in. I finally felt free and able to be myself for the first time here. Here were Muslims that I could connect with through our shared love of dance; I now had a natural way to share life with them. To top it off, the majority of them are people of influence here, mostly working in the government. Through them, I have been able to meet some of the top leaders of the area.

The mayor invited me to meet with him to talk about how we can advance the city together. And all this because I am a dancer? I am blown away by God’s creativity! I don’t understand it, but God certainly knows what He is doing. God made it very clear that He called ME here. If He wanted a stereotypical worker on the field, He would call them here. But He called me to be me and wants me to be no one else but the very one He created me to be. Only God could have foreseen that a single female dancer from California could be used to open doors in a South East Asian Muslim country. He is an expert at using the unlikely! I now get to do what I love and comes most naturally to me in a place so unexpected. Through Kayti’s season of struggle those first several months, no one could have known what God had in store for her on the field –using her gift for dance, establishing strong friendships with Muslim women, and even finding a spouse! Kayti and her new husband Johnny both serve in South East Asia, having met in Australia training to be fulltime global outreach workers. For months, these

In spite of all the hardships that the first year on the field brought, the fruit of that pruning season made it worth the wait: “All these lessons drew me into the arms of the one who truly loves me more than anyone else possibly could. I went through the fire and came out stronger. Perseverance certainly paid off. ”

Serving as an Equipping Class teacher, Women’s Bible study co-leader, Global Pipeline Intern and full-time staff member, Jen Raynes still can’t believe how amazing God is for bringing her to First Cov just over a year ago. Jen loves collecting and telling stories of the epic ways God works in everyday life—a fitting passion for the editor of the COMPASS magazine. To read more about some of her “Faith Stories,” check out her blog: checkoutwhatgoddid.blogspot.com. *Speaking of cool stories, Jen first got connected to First Cov through her friendship with Kayti. Jen and Kayti were roommates in Australia, where they both served doing global outreach with Youth With a Mission. Pretty sweet, huh? Just thought you should know… jraynes@firstcov.org

During Kayti’s first year living in South East Asia, friends and First Cov family encouraged her to stay strong and press into God during those difficult months. “My friends wrote and reminded me of my true identity and worth when I was so blind that I couldn’t see it,” she says. Through a combination of Scripture, quotes, song lyrics and encouraging words, Kayti felt strengthened through her First Cov community a whole world away from her. “I had never been so thankful for my prayer team and in so much need of them. To those of you who are a part of my prayer team, you are such a blessing to me!”

Here are some of Kayti’s most significant encouragements… “Jesus didn’t call us to convert the world, but to love others the way we’ve been loved. As long as we act out of obligation toward others we will fall far short. But He also knows that we cannot love effectively if we have not been loved extravagantly.” (From the book “He Loves Me; The Relationship God Has Always Wanted With You” by Wayne Jacobsen)

“Make the Lord and His immense love for you constitutive of your personal worth. Define yourself radically as one beloved by God. God’s love for you and His choice of you constitute your worth. Accept that, and let it become the most important thing in your life...” (From the book “Abba’s Child” by Brennan Manning)

“All around Hope is springing up from this old ground Out of chaos life is being found in You” (From the song “Beautiful Things” by Gungor)

WWW.FIRSTCOV.ORG

23


How Far Will God Go to

Get Your Attention? By Bill Romanelli

In 2002, Craig suffered a horrific climbing accident. He’d fallen off a 100-foot cliff and landed on his feet. That’s when his ankles exploded. He also crushed vertebrae, broke his neck, and by the time he’d arrived at the hospital, doctors gave him one hour to live. He awoke two days later to a nightmare of beeping machines, tubes, and no feeling in his legs. As the reality of his condition sank in, he realized the things he’d relied on most—his body, his identify as a photographer, husband and father—were gone forever. He suddenly had no idea who he was supposed to be. Once, he’d been able to train his body to do anything. Now, it took three people and a winch just to get him to the bathroom. As a Christian, Craig knew all about how Christ died for us—how God had a plan for his life. But as he envisioned a future in a very confined wheelchair world, punctuated by bouts of unspeakable pain, rote theology failed to provide any assurance. His prayers, when he remembered to pray, amounted to interrogating God. How was “this” supposed to be part of some great, good plan? For weeks he agonized, not quite wishing he was dead, but thinking everyone would be better off if he was. Until he picked up a devotional from his bedtable, Grace for the Moment by Max Lucado. It was August, but Craig opened the book to July 21, the day of the accident. As he read the first sentence, his heart nearly stopped. “How far do you want God to go in getting your attention?” it said. “If God has to choose between your eternal safety and your earthly comfort, which do you hope He chooses?” In that instant, Craig saw the truth of his own personal relationship with God. He’d been saved, yes, but Jesus never really had his attention. Craig’s Savior was little more than an accessory in a busy life. Craig realized he’d treated his relationship with God like a vending machine where he’d put in a few token prayers and expect a prize to come out. He suddenly saw himself as a sinful, egocentric person who had never really tried to live his life as a reflection of God’s love. As he read on, the devotional spoke about God’s relentless pursuit of us, and how He does whatever it takes to get our attention because He doesn’t want any of us to be lost. Craig put the book down, and for the first time since he came to Christ, he really prayed.

24

COMPASS MAGAZINE

“First I apologized for relegating God to third or fourth place in my life; for being the very kind of “fake” Christian I had so despised, and I asked for His forgiveness,” Craig says. “I put it all on the table. I stopped asking God what I was supposed to do with this broken body, and put my trust in Him to make me into what He wanted. I asked God to use the accident to glorify His kingdom.”

Bill Romanelli is a husband, father, chai latte addict and part-time author. Watch for more of Craig’s story in Bill’s upcoming book, After The Fall, due out later this year.

Freedom in Failure by PC Walker

The very next day, the phone rang. It was a writer from Focus on the bromanel@yahoo.com Family, asking if he could get Craig’s story for an article. From there, a steady parade of TV crews and newspaper reporters A Climber’s True Story followed, and everyone wanted to ask of Facing Death and Craig about his faith. It was impossible Finding Life not to see the hand of God at work, and as it continued, Craig began to embrace the chance to use his accident, and his survival, as a way to share his faith with others. As he left the hospital and came home two months after the accident, his faith was tested again and again–up to the point when 18 months after the accident, despite being able to walk again, he had to make the choice to amputate his right leg. It was a choice he fought bitterly until he realized the only way he was going to stay out of a wheelchair forever was to do it with one foot. More pain. More questions for God. More surrender. Until, almost a year later, fitted with a prosthetic leg that he himself had helped design, Craig started climbing again. It was just little things at first, but in time he started entering and winning competitions. For three years straight he took gold in speed climbing at the Extremity Games, and in 2005 he became the first amputee to climb Half Dome in a single day.

AFTER THE FALL

Nowhere is the concept of perseverance more evident than in God’s relentless pursuit of us. Craig DeMartino is a man who’s seen that for himself.

Craig DeMartino

Through it all, despite a loathing for public speaking, Craig began a second career with telling his story to church gatherings and Bill conferences. And as God would have Romanelli it, his constant training to be a speaker culminated as his climbing fame took off. With a jolt, Craig realized he was living the life he’d always wanted. He was a professional climber, but even better, every climbing success provided new opportunities to share his story and his faith.

“I can’t tell my story without talking about God’s role in it. Because God didn’t heal me completely, even though He could have, I get to tell the story of how He took a terrible accident and turned it into this really cool life,” Craig says. “I’m sure without the accident I’d have continued to compartmentalize God for the rest of my life. I’d never have known what it means to step out in faith.. I might have never learned that sometimes the greatest thing He gives us isn’t healing, but the power to endure.”

"I have felt a lot lately like I have been letting everyone down,” one of my student leaders recently told me.

mistakes will come along, but God already knows those are on their way— and loves me despite them.

I asked him how he thought or felt like he was letting me down personally. He mentioned all the areas he felt like he was failing. “Maybe I should not be doing this. Maybe I should step down from my position.”

Brennan Manning writes, “God expects more failure out of you than you do.” So, my student leader could face confrontation when it happened, knowing I expected him to fail from time to time. He was able to learn from those failures instead of obsessively sidestepping them. He can go all out and take risks, knowing that some choices may go wrong, but that is okay. He does not have to be perfect or the best leader ever. I do not expect him to be.

“Now that would let me down, ”I said.

my funniest moment in church ... The light on the church’s answering machine was blinking as the pastor rushed into the office on Sunday morning. He had a thousand tasks to accomplish before the first service began, some of which he tried to perform while half-heartedly listening to the voices on the recording. One of the voices caught his attention when they uttered the name of John Smith (obviously not the man’s real name). John was a dearly loved older member of the congregation who had been hospitalized for weeks, near death. The pastor didn’t catch all the details but knew he had to let the congregation know that morning that John had died. Worship began and the pastor had a hard time concentrating on the music because he was considering the best way to tell the congregation. He decided he would lead the prayer time himself that morning instead of letting his assistant. He rose at the appropriate time and made reference to some other needs in the congregation and then announced, “I just learned this morning that John Smith has gone home to be with the Lord.” There were audible gasps from the people as they heard the news. Then, there was a near scream from one woman who was pointing at a man across the aisle. It was John Smith in the flesh looking a bit surprised at the announcement of his death!

I continued to let my student know he had not let me down, because I expect him to fail. As a leader, I expect he will make plenty of mistakes and poor choices in his process of learning leadership. By knowing this, I told him, he could now have the freedom to be a better leader. He was as confused as you may be reading that. My walk with Christ soared when I realized God expects me to fail. Why? Him expecting me to fail means he does NOT expect me to be perfect. Now THAT is good news—I’m sorry to say, but I am not perfect. There is freedom in knowing God expects me to fail and loves me despite my trips and falls. I am free to take more risks. I can go after my faith without abandon or fear. I no longer have to maintain the perfect Christian facade. I can now dive headfirst into my faith. “But you still make mistakes!” Yes, I certainly will, and those mistakes will be challenged. Each poor choice and failure will come with its fair share of conviction and consequence. These

I told him, “You will not let me down by failing. The only way you will let me down is if you give up.” Because God expects more failure out of us than we do, we do not let God down when we fail, make mistakes or ask questions. We have failed God when we just give up, because when we give up we are not even willing to fail. Winston Churchill said it right, “If you are going through hell, KEEP GOING!” We can never allow a single mistake to become a final mistake. Where is the faith, trust and risk in that? PC Walker loves Tonya, fathers Bryleigh and Haddisen, pastors young adults, listens to hip-hop and folk music, and geeks out about coffee, Saturday Night Live, and REAL Chicagostyle deep dish pizza. pwalker@firstcov.org

The answering machine had said John had gone home from the hospital, but the pastor mistakenly thought the voice had said John had gone home to be with the Lord. No one forgot that worship service, certainly not John!

­— Anonymous Church Member WWW.FIRSTCOV.ORG

25


WINTER EQUIPPING CLASSES

Equipping Classes are short term classes which provide you with tools to develop a significant skill set, and help you apply what you learn through weekly homework assignments and personal challenges. We’re excited about this session's topics and about the teachers who are investing so much to help us be better equipped followers of Jesus. We encourage you to read through the class descriptions, to pray about which one may be right for you, and to make a commitment to fully participate in the class. We pray that the Equipping Classes will be a part of significant growth in your life. There is no need to sign up for an equipping class. Just attend!

SUNDAY MORNING CLASSES january 20-february 24 • 10 am

UNDERSTANDING AND APPLYING KEY CHRISTIAN DOCTRINES How Philosophical Theology Can Help

room 204 The Bible provides us with many teachings that help us construct important doctrines (principles of theology). These doctrines equip us with a Christian worldview and guide us in our personal relationship with God. What we don’t get from the Bible is the ‘how’ of certain doctrines. For example, we do not get an explanation of how prayer can affect God, how God can be sovereign while humans have freewill, how Jesus could be both God and Man, how there is only one true God yet, He is a trinity, how one innocent man can atone for the sins of all guilty peoples, and how we can be free in heaven yet still not sin. We will survey just some of the vast literature that has been produced in the field of philosophical theology (theology plus philosophy) which seeks to construct possible/ plausible explanations of these doctrines. The goal is to deepen your confidence in the intelligibility and actuality of these doctrines, as well as deepen your spiritual life with our Heavenly Father. TEACHER Kevin Vandergriff holds a BA in Philosophy (Emphasis in Logic and Science) and is currently working on an MA in Christian Apologetics. He is the Director of the Ratio Christi at Sacramento State University.

TOTAL RECALL: THE WORD IN YOU

The Importance of Scripture Memorization

room 210 Jesus is the ultimate example of “Total Recall.” In Matthew 4, Jesus is led into the wilderness to be tempted by Satan. Jesus combats the temptation by quoting scripture from memory, saying “It is written.” This class will give you the necessary tools to memorize scripture verses, and even entire books of the Bible. With the help of the Holy Spirit, anyone can memorize scripture. We will memorize the whole book of 1 John using song, repetition, pictures, flash cards, patterns, fill in the blanks, group and work games and re-writing scripture from total memory. This

26

COMPASS MAGAZINE

father and son class will bring a unique perspective that will reach both young and old. Come experience the Word in you and use what God has given you to enter into “Total Recall.” TEACHERs Hank Brys was saved at the young age of 21. Since then, he has faithfully served the Lord for 30+ years in the areas of prison ministry, construction, VBS, global outreach, marriage and family counseling, growth groups, high school and men’s ministries. Hank has been an example to many, including his son Nick. Nick Brys grew up in the High School ministries at First Cov. Nick is a Bible College graduate and former Youth Pastor. Nick is excited to teach alongside his dad. Both Hank and Nick have a passion for the Word and understand the importance of memorizing scripture.

SCRIPTURE OR SOCIETY: WHO’S TELLING YOU WHAT TO THINK?

discerning media messages from biblical truth

room 205 From Facebook and films, to cable TV and CNN, every day we are bombarded with messages that demand our attention and subtly shape our thinking. In the areas of work, health, relationships, finances and entertainment, the average Christian tends to default to the world’s value system instead of seeing what the Bible has to say. This class will use a combination of TV/movie clips and topical study of Scripture to contrast the mainstream worldview with the Biblical worldview of each topic. This class will be relevant, engaging and practical and will highlight the importance of having a renewed mind. TEACHER Jen Raynes has previously directed Discipleship Training Schools with Youth With a Mission in Australia and is now a full-time staff member at First Cov. Jen has a Bachelor of Arts in Organizational/Interpersonal Communication and has completed a School of Biblical Worldview through the University of the Nations.

THE EVIDENCE SERIES: HOW AMAZING IS OUR GOD? Evidence for the Existence of God

room 203 Many people lose their faith when they encounter the secular teaching of the world. If we are not rooted and established in a knowledge and understanding of God, we will not be able to defend our faith and pass it on to others. This class will discuss how to cement our

beliefs through evidence and help us pass that faith on to our kids, loved ones, and friends. We will discuss the evidence behind the existence of God, as well as the complexity in our universe which points to intelligent design instead of mere chance. We will discuss good and evil and the problem of pain. Finally, we will discuss how worldviews impact our understanding of God. TEACHERs Clark Jeppesen has been a Christian for over 40 years, but only after taking a SHAPE class did he find his spiritual gift of teaching. He has a passion for the evidence behind his hope in Christ and desires to pass that hope on to those who take this class. Stanley Holzen was led to Christ over 20 years ago, but soon had to overcome the stumbling block of the world’s evidence that seemed to conflict with the Bible. Since then, he has developed a desire to learn and share truth from God’s Word.

WHEN GOD’S WORD SEEMS WHACKY! Studies in the Book of Revelation

room 206 There is probably no section of scripture that is more misunderstood, misinterpreted, misrepresented, or down right ignored, as the Book of Revelation. But, for some reason, God in His wisdom included this mysterious piece of sacred literature in the Bible. Our only logical conclusion is that He must have something He wants to communicate to us through its pages. Together we will explore the prophecies, visions, warnings, symbolism and promises of this last book of the Bible in order to listen to what the Spirit is saying to us in the church. We will discover, with His help, that Revelation is full of wisdom that is relevant for our lives today. TEACHER Mark Shetler is our Executive Pastor and Director of Worship and has been on staff at First Cov for about nine years. He enjoys helping people go beyond a casual reading of scripture to more fully engage the God who is speaking through it. He and his wife Melissa facilitate the Global Pipeline internship, reaching out to the unreached of our community.

SHARE YOUR FAITH WORKSHOP

“Other Places” Evangelism

Room 202 At First Cov we are challenged to be ministers in our “Other Places,” or other areas of life where we have influence. “Other Places” Evangelism will equip you to share your faith in a comfortable and effective way in the places you are already connected. Evangelism is a daunting challenge for so many believers. On one hand we want to share the most important news of all time with the people we love. On the other hand, we are fearful of being too aggressive, turning people off, or being rejected. This class will use innovative tools and materials to teach you how to engage in basic evangelism. You will learn how to lovingly and confidently engage your other places with the good news of Jesus Christ. TEACHERs Dan Wade is our Congregational Care Pastor and has been on staff at First Cov for the last twelve years. Lester Kline has been an evangelism trainer for over 25 years.

WORKS? FAITH? BOTH? FINDING ANSWERS IN GALATIANS Working out Your Salvation

room 200 How do we merge faith and works? How do we take responsibility for our spiritual growth while still living by grace? What is our role in our salvation? Do I have to obey certain rules in order to be saved and become righteous? How does salvation through faith help me “do the right things”? The book of Galatians will shed light on the subject as it did in the early church. Jewish Christians were saying that you had to obey the “law” in order to be truly justified or saved. Paul lays out just how our faith produces “works of righteousness” that demonstrate our salvation.

TEACHER Mike Daly is a former pastor and teacher who desires for people to enter into a deep and fulfilling relationship with God. He and his wife Jane have been part of First Cov since 2011.

SHAPE CLASS

Discovering the Unique You

room 215 This class helps provide insight into how God brought specific characteristics together to make you unique. Learn what makes you different from anyone else and understand that you are one of a kind, designed by God. By identifying all five elements of your SHAPE (Spiritual Gifts, Heart, Abilities, Personality, and Experience), you will be able to identify where you will experience the most fulfillment serving in ministry. TEACHERs Lynn Campbell is First Cov’s Ministry Connections Coordinator. She has a Bachelor’s degree in International Relations, is a former small business owner and has been actively involved in various areas of Christian ministry on a professional basis since 1986. Glenda Harr is Director of Women’s and Counseling Ministries at First Cov.

Women’s wednesday night

january 23-march 13 6:30–8:15 pm • chapel HE IS MY ALL

Living in the Truth of God’s Love for Me

How do we satisfy our soul’s deepest desire? Join us on this 8–week journey written by our 2013 Women’s Retreat speaker, Debbie Alsdorf, to encounter the God who adores you. Explore the hope, healing, and life-changing power found in His perfect love. Each lesson brings together scripture from throughout the Bible with daily questions, prayers, and prompts; you’ll experience His life-changing power, and embrace a deeper relationship with your heavenly Father. If you’ve been looking for confidence, personal worth, and healthy self-esteem, then you need to soak in the truth of His Word and love for you. TEACHER Glenda Harr is Director of Women’s and Counseling Ministries at First Cov and has been on our staff for nearly nine years. Cost $12 for participant’s guide

Women’s Thursday Morning

january 24-march 14 10–11:30 am • chapel

HE IS MY ALL

Living in the Truth of God’s Love for Me

See previous description. TEACHER Glenda Harr is Director of Women’s and Counseling Ministries at First Cov and has been on our staff for nearly nine years. Cost $12 for participant’s guide

Men’s Wednesday Night

january 23-march 13 6:30–8:15 pm • ROOM 200/202 EVERY MAN A WARRIOR

Walking with God

This class consists of nine sessions that develop the essential skills of discipleship and being a committed follower of Christ. Few men feel equipped to face the challenges of life they fight on a daily basis. This study helps men succeed in life! It’s relevant–recounting the

stories of real men dealing with real life struggles and revealing how God has solutions. No man wants to fail, so come get the skills to fight and win in the battles of life. TEACHERs Jeff Koons is Pastor of Family and Men’s Ministries here at First Covenant Church, and has over 25 years of teaching and ministry experience. Jeff is married to Betty and they have an adult daughter and two teenage boys. Ty Lewis has been teaching the Bible for 25 years with a desire to see people grow in their passion for following Christ. He has a degree in Business Administration and works as a Section Chief for EDD. He is married to Melinda and has a son in high school and a special needs daughter who just turned twenty. Cost $12 Book: Every Man a Warrior

Sunday Morning For Teens

january 20-february 24 10 am • Room 215

The Nature of God

Learning about God by Exploring His Creation

The Nature of God series will take students through a scientific exploration of God’s creation. Each lesson will introduce them to fascinating plants and animals while at the same time leading them to discover God’s character and His love for them. TEACHER Austin Baker is the Kids Klub Associate at First Cov.

Jr. Kids Klub

This interactive program will be geared specifically to children’s age development and will include Bible stories, puppets, videos, and crafts. Our nursery will also be open for children 6-weeks to three years old for those parents wishing to participate in adult Equipping Classes on Wednesday nights. TEACHER Carolee Catterall is an active Sunday School teacher at First Cov.

YOUR LIFE DOESN’T COME WITH A RESET BUTTON The Consequences of Bad Choices

You are created in God’s image and God has given you the dignity of making big choices, even choices with eternal consequences. Every choice has a price tag, even the good ones. We will explore choices from the Bible, both good and bad, and the resulting consequences, blessings and sacrifices that follow. TEACHER Darin Schoch grew up at First Cov and just recently made a triumphant return as the Pastor of Middle School Ministries. He is energetic and fun and has a passion for teaching young adults how to live a powerful life of faith. He is also a dude that’s made a ton of good and bad choices and has a lot to say about it.

H.A.B.I.T.S.

Developing Habits That Can Change Your Life

Helping students develop healthy habits for long-term, independent spiritual growth is the name of the game here. HABITS will bring young people into the Word of God and give them tools to keep developing their faith, even beyond their high school years. TEACHER Tim Layfield is the Pastor of High School Ministries at First Covenant Church. He has been pastor to teenagers for 15 years. Tim is married to Jessica and they have two sons, Ethan who is 10 and Jacob who is 6. Tim’s passion is to see students embrace Jesus and discover that they have been created for so much more.

Wednesday Evening For Children

january 23-march 13 6:15–8:15 pm Kids Klub is our midweek Equipping Class designed especially for children. Kids Klub runs concurrently with the adult Equipping Classes on Wednesday nights, allowing parents to study in their classes worry-free. All coaches and leaders have been screened, completed an application and background check.   Advanced registration is not required, but all children must have a signed and completed medical release and registration form before they are able to attend. These forms are available online at www.firstcov.org under our Children’s Ministries page. Just follow the Kids Klub link.   The evening includes games, worship, prayer, and experiencing a Bible story in a way that students can understand and learn to apply God’s truths to their lives.   WWW.FIRSTCOV.ORG

27


Such determination is common at this age. Most preschoolers have a natural inclination to keep trying until they do things perfectly. And often they attempt to do more than they’re developmentally capable of, especially if they have an older sibling. There’s an upside to this.

is frustrated, remind them that you don’t expect them to do it perfectly. Praise them for all of the hard work and effort they have given to learning the new skill.

After all, you want your child to hold himself to high standards and learn the value of stick-to-it-iveness. But persistence can turn into perfectionism, often causing a child to stop trying anything new for fear of failure.

Even grown-ups have a hard time mastering new skills. Use yourself as an example and let your child know that you face challenges too.

Here are a few simple strategies for helping children accomplish as much as they can without reaching for the impossible.

Know Their Limits

I’ll GE t It Rig ht

Balancing Persistence and By Dawn Jeske

Remind your child that being the best or the fastest is not the goal. What’s important is doing the best you can. When a child

between persistence and perfectionism. Preschoolers are constantly learning new things, how to write their name, button a shirt, pour their own juice. These lessons can be fun and exciting but they can quickly become frustrating, too. Letters are written backwards, buttonholes are missed, juice is spilled. You offer to help but your child insists on doing it himself, persisting until he gets it just right… or bursts into tears from frustration!

COMPASS MAGAZINE

New challenges are less intimidating when they’re broken down into smaller, more manageable steps. For example, learning to tie shoes is overwhelming but learning to loosen and tighten the ties first is doable. Celebrate that small step before going on to the next.

Focus On the Process Not The Product

It’s our job to help them draw the line

Use yourself as an example and let your child know that you face challenges too.

Little by Little

Perfectionism in Children

Preschoolers want to do everything perfectly.

28

When your child tries to perfect a skill they’re physically not capable of mastering yet, it’s a sure recipe for frustration. Your job is to know when to encourage your preschooler and when to back off. Don’t assume your 4 year old can do something just because the kid next door can do it. Not all children develop at the same rate and you need to let kids go at their own pace. Give your child permission to try again later. You should also be prepared to do more than just demonstrate a new skill. Be willing to wrap your arms around him and do it with him (swinging a bat, for instance) until he is willing to go it alone.

Everybody Struggles

Raising two boys who thought “no” was a secret code word for “do it again” taught Dawn Larson Jeske early on that prayer, creativity and a positive attitude are essential to surviving early childhood! As Director of First Covenant Preschool, “Miss Dawn” uses her many years of parenting

Put it in Perspective While a child needs to believe in their abilities, they also need to accept their limitations. There will always be kids who can do things better than yours AND there will always be kids who have a harder time doing things than yours. Keep the focus on what your child does well. Again, use examples from your own life such as not being able to play the piano at all but being able to tell a good bedtime story or make great grilled cheese sandwiches. When children realize that you have limitations as well as talents, they can accept the same things about themselves.

and preschool teaching experience, as well as a Masters in Child Development, to create a warm and nurturing environment full of rich learning opportunities for young children. She has a passion for encouraging parents as they raise God’s precious gifts. And yes, she really does like goldfish crackers and string cheese! djeske@firstcov.org

WWW.FIRSTCOV.ORG

29


Truth in Trials

Rev. Billy Graham said, “Comfort and prosperity have never enriched the world as much as adversity has.” First Cov members Larry and Donna Heald joined our Growth Group two and a half years ago. Watching them push through their adversity,­—Larry’s early-onset of Alzheimer’s disease— has truly enriched our Growth Group and watching their story unfold has been a powerful testimony to all of us. It doesn’t take a long conversation with the Heald’s to see that their lives are defined by their faithfulness and perseverance because their hope and trust is in our Savior Jesus.

As told by Donna to Ana: We moved [to Sacramento] in September 2007 so we could be closer to my daughter and son-inlaw who were expecting their first child. Prior to our move, we had prayed for God to lead us to the church where He wanted us. Not by coincidence, our new home was a few miles from First Covenant. We attended and knew right away we were supposed to be there. We became members within six months and got involved in various ministries throughout the church. Except for a handful of clues like my daughter mentioning that something didn’t seem right with Larry, I was oblivious, as was he.

One couple’s journey of perseverance through Alzheimer’s By Ana Smith

30

COMPASS MAGAZINE

It was during a visit to my physician which I nonchalantly mentioned that my husband was constantly asking me the same question over and over again, adding to my heavy stress from the pressures of the recent move and new job. The doctor said that his behavior sounded abnormal and called him in for some testing. It was at the next appointment that our doctor referred us to a neurologist whom we saw 3 days later. After 20 minutes of testing, the news came that my 55 yearold husband would have to surrender his driver’s license as he had been diagnosed with moderate to severe Alzheimer’s disease. We left the office in utter disbelief, sat in the parking lot and cried hysterically.

“We feel that everyday God puts wings on us to soar above the challenges the day brings,” Donna says of her life with Larry. “We have an unwavering love for each other and others. And we have a joy that can’t be shaken.”

WWW.FIRSTCOV.ORG

31


Studying the Bible together is one of Donna and Larry’s favorite pastimes: “We read God’s word together daily and pray during our devotions, ‘How can we serve and glorify you today, Lord?’”

My heart’s desire was to be able to stay home and take care of my husband as opposed to placing him in a care facility. I felt it was important to preserve his dignity and love him the best that I could. Financially it seemed impossible but I poured my heart out in prayer to God to allow me this opportunity. God in His perfect timing orchestrated things that in human terms simply didn't make sense. Within the first year of his diagnosis, we had sold our house in Santa Rosa in a terrible seller’s market and Larry was able to get early retirement and secure social security disability plus Medicare. Although we felt blessed by these things, we still needed a way to cover our cost of living expenses.

[Larry and I] feel called to pray for others. We believe in its mighty power. And we both feel that while Larry is here on earth and until the day God calls him to our heavenly home, God has a purpose for him. Our purpose at this moment is to pray and intercede for others. The rewards [for us] have been experiencing the things that He promises to us in His word when we are faithful and committed. We have His peace in knowing that we are in His perfect will. We have an unwavering love for each other and for others. And we have a joy that can’t be shaken.

"God in His perfect timing orchestrated things that in human terms simply didn’t make sense."

God’s provision for this was totally unexpected. We found out that we were going to receive a lump sum inheritance from Larry’s parents, who had both passed a few months before his diagnosis. Not only did [that inheritance] allow us to pay off the new house but also covered all of our additional monthly expenses and made it possible for me to retire as well. [My greatest challenge] has been patience. For Larry, [it has been] the acceptance of the Alzheimer’s . But we feel blessed by the disease. We are completely surrendered to God. We wake up in the morning and are so thankful that we have another day together. We cherish every moment with one another because we don’t know how long these moments will last. And it is because of this reality that our focus is on Jesus and His plan for our lives.

"I always say that Larry may not say much, but when he does, you’d better be listening because it’s a message from above. "

32

COMPASS MAGAZINE

We feel that every day God puts wings on us to soar above the challenges the day brings. One thing I want people to know is we couldn’t do this without the Word of God. The hope we have comes from His living water, His word that stands tried and true. A few days ago, we went through the Psalms and I wrote down God’s promises to us. It’s remarkable to be able to personalize and read aloud those promises. When you do, you simply don’t worry.

While Donna read those truths from the Book of Psalms, Larry, who had been very quiet

Donna and Larry’s Favorites

}

The Lord is a shelter and refuge. His right hand supports and keeps me from slipping. He leads me down the right path. My cup overflows with blessing. He enables me to stand on mountaintops. He never leaves us. His promises are pure.

and mostly void of emotion for the greater part of the interview, closed his eyes and, overcome with emotion, began to sob. It was a heavenly moment. For me, it was a privileged

Because of our love for Jesus and the experience He has allowed for us, this disease has brought us closer to each other and to God. We read God’s word together daily and pray during our devotions, “How can we serve and glorify you today, Lord?” God has shown us his grace in many ways. One is by giving us the opportunity to watch our granddaughter, Camryn, for my daughter and son-in-law. I can’t stress the blessing that having her around has been for both Larry and me. God knew how important it would be for us to have a bubbly toddler, and later, a preschooler running around to brighten up our spirits and days. Her presence helped Larry feel purposeful. She makes us laugh the way only a child can. God has gifted Larry with a great sense of humor even at this stage of his life. God shows me His grace through the work of the Holy Spirit in my husband. Even though our conversations have become very limited, the Spirit of God is alive in Larry and speaks to me and others all the time. I always say that Larry may not say much but when he does, you’d better be listening because it’s a message from above.

Our life verse is from Isaiah 40, “… but those who hope in the Lord will renew their strength. They will soar on wings like eagles, they will run and not grow weary, they will walk and not faint.”

{

Promises in the Psalms

He frees me from trouble.

taste of a future place in which there will be no more fears, no more pain, and no more tears. In His glory, God can gently pierce the soul of a man too disabled to remember the date he was born. I am a witness that, undoubtedly, the Spirit of God resides within this precious

He delights in me.

child of God. I have been blessed beyond measure by their faithfulness and determination. Praises to our King Lord Jesus.

The Heald’s count themselves blessed to be able to spend so much time with their granddaughter, Camryn: “She makes us laugh only the way a child can.”

Keeping busy as a stay-at-home mom and Growth Group leader, Ana Smith is passionate about seeing others find and live out the abundant life Jesus promises. It was through attending First Cov ten years ago for Celebration that Ana fell madly in love with Jesus and has never been the same again. She loves running, reading, honest conversation, and weekly date nights with her husband, Justin. Shacklefree33@gmail.com

He shields me. And I will live in the house of the Lord forever…

WWW.FIRSTCOV.ORG

33


In the Game After many years of simply being attenders, Ed and Beth Puntillo took a risk of obedience to truly get involved in the First Cov community. As they began to be intentional about their fellowship and growth, transformation started to happen. Their lives have never been the same since! Here is their story: COMPASS: How are you now ‘in the game’ here at First Cov? PUNTILLO'S: We completed the new member’s class and became church members in November. We are Growth Group facilitators and are being trained as leaders. Through our Growth Group, we have become involved in Winter Sanctuary, the Christmas Mall, have done yard work in our community and helped clean Golden Empire Elementary School. Ed is also the neighborhood watch coordinator for our street. I, Beth, am reserved by nature so I probably would have never made the leap on my own. But by being “in the game” we are in fact more joyful. We have made many loving friends, but more importantly we find that we want to serve more, learn more, grow more, and to be more effective members of the body of Christ, for His glory. C: How were your lives as Christians different before you got plugged in here at church? P: We had been attending First Covenant Church for over ten years. We would walk in, hear the message and walk out. Many times we didn’t even make it to church on Sunday. In doing so, we had isolated ourselves and were trying to have a fulfilling and productive life on our own. We certainly had the head knowledge of what Christ did for us on the cross but we had not really given over our hearts and selves to Him. We felt guilty and knew we should do more but it seemed we were powerless to make that decision on our own. C: What people or circumstances prompted you to get more involved? P: The times we did attend church we would have coffee afterwards with friends who also attended First Covenant. Through their gentle encouragement we finally became committed to weekly attendance. The messages were about believers needing to “get off the shelf” and get involved. Ed and I talked about joining a growth group and kept having that discussion for four or five months. It was then that God reached out to us through our community neighborhood watch program. Ed was becoming our block’s representative and was emailing a woman who was the coordinator. Through those messages, Ed found out the woman (Linda Kenner) was also a member of First Cov. Ed mentioned that we had been contemplating joining a Growth Group. It just so happened that she and her husband (Doug) led a group which she welcomed us to join. Ed is a very outgoing person so once we made the decision to join the Growth Group, he was gung-ho, but I was still hesitant. My comfort level was being seriously stretched. However, God was reaching out to us in a very clear and strong way so I could no longer do only the things I felt comfortable doing. I knew that Jesus’

34

COMPASS MAGAZINE

sacrifice on the cross was for me, so who was I not to sacrifice myself for Him? There are not enough words to say how welcomed we felt from the first moment we entered our group. Everyone was warm and caring and it felt really good to be learning and sharing with like-minded people. Our group gives us the power of community. We receive “unmerited favor” through their support, encouragement and honesty. These are things we are powerless to achieve alone. C: After you began to step out of your comfort zone, what happened and how did you deal with it? P: A few months after joining the group Ed and I went on our annual Yosemite camping trip with family and friends. While alone on a bike ride Ed became dehydrated, passed out and hit his head on the road. When he regained consciousness he was answering the EMT’s questions but with incorrect responses. He had to be flown by helicopter to a hospital in Modesto. My brother and sister-in-law drove me as I was stressed out beyond words. That ride was a long two-hour prayer. Doug and Linda Kenner drove to Modesto to see how we were doing and to see what they could do for us. Ed was diagnosed with a traumatic brain injury. He spent three days in intensive care and got out of the hospital after a week. He required months of speech therapy. By the grace of God and the prayers of our Growth Group, the church, family and friends, Ed has now recovered. He jokes that he is 95% recovered but is not sure that he ever was ever 100%. C: How has Jesus continued to challenge and stretch you as you place control of your lives in His Hands? P: I recently read some material in the Growth Group training class that put into words what I have felt for years. It was about Plan A and Plan B. Plan A is God's “supernatural zap” that would heal me so I would do whatever He asked of me. All my Christian life I have been waiting for that “supernatural zap”. Plan B was God using people to love me, challenge me, teach me, support and help me heal. I’ve read about Plan B in the Bible many

times (Ephesians 4:16). I finally understand that I have been “zapped” but it was accomplished through the body of Christ. Through our Growth Group, I have begun to grow and heal. Ed also feels the transformative power of God using people for His vision. Q: How would you like to encourage and challenge others to ‘get in the game’ here at church? P: We have become an isolated society. We are motivated to do what feels right or good for “me”. By participating in Growth Groups, a person can have the opportunity to become a moving part of the body of Christ. You can enjoy the restorative power of Christ through people. Ed and I would encourage everyone to “get in the game” as it will give you the power to be used in our “other places”. Matt Newton serves as the Pastor of Growth Groups. For others’ joy and God’s glory, Matt loves to point people to Jesus and help them get into the game! mnewton@firstcov.org

MEET an elder

First set foot on First Cov Campus:

About 6 years ago. My wife was attending First Cov when we met and I have been attending ever since. Accepted Christ:

I was 12 years old. My dad had recently re-dedicated his life to the Lord and my mom had become a new Christian. After observing them for a while, I perceived a difference in them, even as a young man. My parents explained the gospel to me and I accepted Christ with them. After accepting the Lord, I also experienced a new understanding of God almost right away. As a result I became an on-fire little evangelist praying the sinner’s prayer with 5 or 6 kids my age that first year. Whether or not the conversions “stuck” with those kids, it was real for me.

Favorite Bible story:

David and Goliath. David was just an ordinary person at the time he showed up to the battle but God used him anyway. Every time I hear this story, my heart beats faster when I read the part where “David ran to the battle to face Goliath”. I love the way David faced the odds with courage and did not shrink back. In one day, God took David from a shepherd boy to a great warrior because of his faith and courage. Most recent music download:

Mathew West, “Forgiveness” Involvement at First Cov:

I am involved in teaching Equipping Classes and my wife has been involved with women’s ministries. Favorite sport to play:

Profession:

I am breaking the rules mentioning two sports, but I like golf and hoops equally.

Family:

Football

I own and operate a small software business.

Favorite sport to watch:

I have been married to my wife Tami for almost 4 years and have a 7-month-old daughter named Kate. Tami is an attorney for the California’s Attorney General’s office and has worked there for about 13 years.

Brian krenzin

What others should know about First Cov:

More than any other church that I’ve attended, First Cov has great teaching, but the teachers are humble. The thing that is different here is that leadership isn’t afraid to share their own weaknesses when illustrating a teaching or passage.

A perfect weekend:

Time with my family, some rest, some golf, then finishing up with church on Sunday. Last clothing purchase:

Sports clothing.

WWW.FIRSTCOV.ORG

35

WWW.FIRSTCOV.ORG

35


Ministry Contacts

STUDENT MINISTRIES

Adult Ministries (cont.)

WORSHIP AND PERFORMING ARTS (cont.)

We are committed to engaging students with the unchanging Gospel message that is revelant for every generation. Our goal is to help students make their faith their own—discovering for themselves how they need to respond to the call of Jesus to “come and follow me.” Our Student Ministries department seeks to provide a full spectrum of weekly gatherings, special events, and activities to meet the needs of students wherever they are at on their spiritual journey. We place a high value on making our ministries safe places, so we run background checks on all volunteers working with minors and train them to become positive role models for students.

Seniors Ministries: MOSAIC

Drama Team

Middle School Ministries: Identity

THE PATH Here at First Cov, we want to help people get on the path to becoming fully devoted followers of Christ. There are many ways to grow in your faith, but we have designed a specific strategy to help our church family develop community and a stronger relationship with God. There are three parts to The Path: Worship, Equipping Classes and Growth Groups.

Worship: Our Sunday worship services are designed to help you engage God through songs of praise, times of prayer and discovering truth from God’s Word. Our classic service is at 8:30 A.M. and our modern services are at 10 and 11:30 A.M. We hope that you will join us regularly for worship. Learn more at www.firstcov.org/worship

Equipping Classes: Equipping Classes are short-term courses allowing us to study specific topics of interest. Classes are offered several times a year and address a variety of topics such as marriage and family, dealing with emotional pain, understanding the Bible and discovering ways to serve others. There is no need to sign up for a class; just attend! Class schedules are found on pages 26-27. Learn more online at www.firstcov.org/equip

Growth Groups: In addition to spending time in God’s Word, Growth Group members share life together by supporting and caring for one another as a spiritual family. They also encourage one another to be intentional about living and sharing the Gospel with people we know in our "other places." Groups meet on various nights of the week throughout the Sacramento area. Learn more at www.firstcov.org/growth

WORSHIP CLASSIC SERVICE

COMPASS MAGAZINE

Club 45

Sundays at 8:30 A.M. The familiar sounds of First Covenant. The best of the cherished songs of our faith and the most loved worship songs of today.

Sunday morning classes and midweek activities for 4th and 5th grade students Contact: Danny Langan at dlangan@firstcov.org

MODERN SERVICE

A Christian-themed preschool with a traditional half-day program for children ages 3 to 5 Contact: Dawn Jeske at djeske@firstcov.org

Sundays at 10 and 11:30 A.M. An energetic and reverent worship experience designed for the body of Christ to come together and express our love and devotion to our Savior. Contact: Jen Raynes at jraynes@firstcov.org

Children’s Ministries It is our privilege and desire to serve children in a real, relational way where Jesus is the center! We strongly believe in the statement that "No one has more potential to influence a child or student than a parent." Our goal is to partner with you as a parent in the spiritual training of your children (Proverbs 22:6). Our vision is to make fully devoted followers of Christ among the next generation by helping families get on The Path. We are truly working toward building tomorrow today. All our children's programs are thoroughly based on the Bible, and all staff and volunteers have completed a background check and one-on-one interview. We invite you to explore the amazing opportunities we have made available to you and your children, and thank you for allowing us to partner with you.

Sunday Morning Classes Available during all worship services for infants through 5th grade Contact: Fred Hammer at fhammer@firstcov.org

Kids Klub (Equipping Class for Kids) Midweek activities and interactive lessons available seasonally Contact: Austin Baker at abaker@firstcov.org

36

Solid biblical teaching and practical, interactive activities for students in 6th–8th grades Sunday Mornings, 10-11 A.M. in Room 213 Tuesday Evenings, 6-8:30 P.M. in the Gym Contact: Darin Schoch at dschoch@firstcov.org

Preschool

Special Events and Summer Camps Summer Blast, Sports Camp, Harvest Carnival, Easter Carnival, and much more! Contact: Fred Hammer at fhammer@firstcov.org

Orphan Care: Chosen Ones Educating and supporting families who are currently adopting/fostering children (or are interested in doing so) Contact: Amy Byrne at ChosenOnes@firstcov.org

Special Needs Ministry On Eagle's Wings is a program designed to work with the special needs children in our community, giving them a safe and nurturing place to play and grow. The program not only attends to special needs children, but also to their siblings. Parents have the opportunity to participate in a FREE respite night every third Friday the month. Every Sunday, the On Eagle's Wings room is open during both the 10:00 A.M. and 11:30 A.M. services so that parents may attend service or class worry-free. The room is equipped with skill-appropriate toys as well as trained adults who are able to comfort, direct, and love children who may need a different approach to Sunday mornings. Feel free to drop by and visit us anytime. We meet upstairs in room 207.

On eagle's wings Sunday morning classes for special needs children and monthly respite care Contact: Gabby Brigance at oneagleswings@firstcov.org

High School Ministries: Renovate Practical messages, “sacred space” worship experiences and growth groups for students in 9th-12th grades Sunday Mornings, 10-11 A.M. in Room 215 Wednesday Evenings, 6-9 P.M. in Room 215 Contact: Tim Layfield at tlayfield@firstcov.org

College/Young Adult Ministries: SOLAS Casual worship and messages designed to make you think and live out your faith for those 18-28 Sunday Evenings, 6-9 P.M. in the Chapel Contact: PC Walker at pwalker@firstcov.org

A weekly fellowship opportunity for seniors to continue to grow, build relationships and have fun! Contact: Suzanne Pennington at spennington@firstcov.org

SHAPE Class Offered several times a year, this class gives you tools to discover how God has uniquely shaped you to be in service to others Contact: Lynn Campbell at lcampbell@firstcov.org

Membership Class Learn more about the history, beliefs and organization of First Cov in this class offered in the spring and the fall Contact: Suzanne Pennington at spennington@firstcov.org

Participate in teams that help lead our congregation in worship Contact: Jennifer Raynes at jraynes@firstcov.org

Global Outreach Internship: Global Pipeline

Struggling with hurts, habits or hang ups in your life? Process and receive support in a safe environment Contact: Dan Wade at dwade@firstcov.org Every Thursday, 7—9 P.M., Chapel

Individual Counseling: Lay Counseling A free opportunity for you to speak one-on-one with a non-professional counselor (a member of our church trained to listen and support you in difficult times) Contact: Jennie Nagy at jnagy@firstcov.org

DivorceCare

GriefShare Support group for those recovering from the loss of a loved one Contact: Dan Wade at dwade@firstcov.org

Growth Groups Join people in your neighborhood for Bible study, building relationship and outreach to the community Contact: Matt Newton at mnewton@firstcov.org

WORSHIP AND PERFORMING ARTS

Men

Adult Choir Be a part of the vocal ensemble that sings for worship during the 8:30 A.M. Classic service and select Modern services throughout the year Contact: Jennifer Raynes at jraynes@firstcov.org

Engaging teaching, small group discussions, special events and a dynamic Women’s Retreat held each spring Contact: Glenda Harr at gharr@firstcov.org

Dance Studio

Moms: Moms Connection

Children’s Choir

A fellowship opportunity for mother’s to receive support and guidance in the parenting process Contact: Glenda Harr at gharr@firstcov.org

Band, Orchestra, Vocal Teams

12 Step Program: Celebrate Recovery

Equipping Classes

Women

Offer support to worship services and special events through audio-visual technology Contact: Brian Webber at bwebber@firstcov.org

OUTREACH

Adult Ministries

Bible study groups, support, outreach opportunities and an outstanding annual Men’s Conference Contact: Jeff Koons at jkoons@firstcov.org

Tech Team

COUNSELING AND SUPPORT

Support group for those who are separated, going through divorce, or have been divorced Contact: Dan Wade at dwade@firstcov.org

Six-week classes offered four times a year on a variety of relevant topics and Bible study themes Contact: Dan Palmer at dpalmer@firstcov.org

Opportunities for participating in worship services and special events Contact: Mark Shetler at mshetler@firstcov.org

A six-month program for those interested in exploring opportunities to reach out to the international community—both at home and abroad Contact: Mark Shetler at mshetler@firstcov.org

Short-Term Outreach Trips: Global Outreach Opportunities to serve in a variety of nations on 1-2 week trips led by church leadership Contact: Mark Shetler at mshetler@firstcov.org

Local Service Opportunities: ACTS Join with hundreds from First Cov in supporting local non-profits through various service projects Contact: Jennifer Raynes at jraynes@firstcov.org

Homeless Ministries: Winter Sanctuary and Gathering Inn Help care for the homeless of our community through special programs held at the church at various times throughout the year Contact: Steve Rodriguez at srodriguez@firstcov.org

Christmas Mall Help people in need in our community have a very special holiday experience with gifts for the whole family, spa and salon services, entertainment, food and children’s activities Contact: Mark Shetler at mshetler@firstcov.org

Encouraging students and adults to enjoy the arts and express their gifts and talents in dance Contact: Carolyn Melville at cmelville@firstcov.org

Seasonal opportunities for grade school children to learn and perform exciting music Contact: Jennifer Raynes at jraynes@firstcov.org WWW.FIRSTCOV.ORG

37


ff No Gira es? My good friend Jeffrey DeLeon says that partial obedience is disobedience, and delayed obedience is still disobedience. His point is that when God tells us to do something, we should do it immediately and completely.

g

REME

Or how about Joshua? The Lord told him to march around the city seven times. But what if Joshua’s feet I’ve been thinking about some of the heroes in the started getting sore on the fifth lap, and by the sixth he Bible (recalling the flannelgraph days of my childhood just lost his drive, so he stopped. The walls of Jericho when each character came to life in cartoonish may still be standing today as one of the ancient felt form). What would have happened if these wonders of the world, rivaling the Great Wall of China. characters had chosen to only partially obey God’s And what if Moses got tired of carrying those commands? Or what would have happened if big stone tablets down the mountain, so he they dragged their feet in responding to “accidentally” dropped one and a big chunk containing God’s call on their lives. commandments #7 and #8 fell off and were left behind. For example, what would None of us would ever know that adultery and stealing have happened if Noah were wrong, and thus would blend in with the morals of procrastinated when God the society around us. told him to build the ark? And imagine if Solomon grew impatient with his DIY The rainy season and plans for building the temple and stopped after just the the overwhelming flood foundation was laid. Where would the Holy of Holies would have arrived resided? Where would the animal sacrifices have been before the giant boat made? Where would have been the glory that visitors was finished, leaving the top deck unfinished. often felt when they visited Jerusalem? The Queen of Sheba would have had no reason for even coming to Then there would not visit Israel because the temple was nothing more than have been room for the a slab of concrete. elephants and giraffes.

?

Global Outreach Partners

BY MARK SHETLER

Can you imagine going to the zoo today and not seeing any elephants or giraffes all because Noah decided to go to work late?

MBER to PR AY

Finally, what would have happened if Jesus, the best example of obedience personified, allowed the fear of the cross to derail His plan to bring salvation to the people? Where would we be if Jesus had decided after the severe whipping at the hands of the Roman soldiers, that He was done? What if Jesus decided that life was just so unfair that He wasn’t going to allow Himself to be hurt anymore? What if He got down off the cross? What if He decided that the plan of redemption was just too hard? So let me turn this discussion around: What if we actually did what God told us to do, immediately and completely? What would happen if we actually loved the new neighbors across the street and invited them to dinner? What if we sold some of the excess of our lives and gave that money to the poor? What if we forgave our enemies and blessed those who cursed us? What if we changed our behavior at work and valued integrity above “success”? What if we were really obedient—completely an immediately? Wouldn't it change everything?

Pray for those serving in "other places" overseas.

Gary

Marylou Sander Colombia

and

Jim

Jim Howard Russia

Heather Meyers Indonesia

and

Mark Shetler, our Executive Pastor, Director of Worship and Executive Editor of the COMPASS, is color blind, allergic to Christmas trees and hates Times New Roman. mshetler@firstcov.org

New and Need to Know? Unsure about the whole “church thing?” We know you have questions: “What do I do? How do I dress? Do you have [fill in the blank] available here?” We want to make you feel as welcome (and awkward) as possible here at First Cov with our “Tips for New Visitors” section.

Catch Up on What You Missed The “Weekend Messages” section of our site includes the audio recording of the Sunday morning message each week. In addition, you can view the PDF of the Message Notes, as well as the Growth Group Discussion Questions. All messages from April, 2009–Present are available as free downloads on the website.

Ken

and

Adrienne Satterburg France

Dave

Julee Schoch Albania

and

Get Inspired! Next time you’re waiting in line, forget the mindless games on your phone and read an inspiring story or devotional in the COMPASS magazine. In addition to free hardcopies available in the lobby, every issue of the COMPASS can be downloaded as a PDF through our website. Check it out!

Worship with Your Smartphone

38

COMPASS MAGAZINE

YouVersion is a fantastic (and free!) app to help you follow along with the Sunday message notes. Through this app, you can also submit a request for prayer, download our podcast or give securely online. YouVersion also serves as a free Bible on your phone (available in lots of different translations so you can follow along with your favorite version).

Barbara Moore Wycliffe

Josiah and Heidi Kite City, India

Kayti and Johnny Southeast Asia WWW.FIRSTCOV.ORG

39



Compass Issue 05